package com.ruoyi.catdog.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 合伙人对象 partner
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class Partner extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 合伙人ID */
    private Long id;

    /** 邀请码 */
    @Excel(name = "邀请码")
    private String code;

    /** 邀请链接 */
    @Excel(name = "邀请链接")
    private String codeUrl;

    /** 邀请小程序码 */
    @Excel(name = "邀请小程序码")
    private String codeImage;

    /** 当前等级 */
    @Excel(name = "当前等级")
    private Long current;

    /** 加入时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "加入时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date day;

    /** 头像 */
    @Excel(name = "头像")
    private String icon;

    /** 昵称 */
    @Excel(name = "昵称")
    private String name;

    /** 钱包ID */
    @Excel(name = "钱包ID")
    private Long wid;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setCodeUrl(String codeUrl) 
    {
        this.codeUrl = codeUrl;
    }

    public String getCodeUrl() 
    {
        return codeUrl;
    }
    public void setCodeImage(String codeImage) 
    {
        this.codeImage = codeImage;
    }

    public String getCodeImage() 
    {
        return codeImage;
    }
    public void setCurrent(Long current) 
    {
        this.current = current;
    }

    public Long getCurrent() 
    {
        return current;
    }
    public void setDay(Date day) 
    {
        this.day = day;
    }

    public Date getDay() 
    {
        return day;
    }
    public void setIcon(String icon) 
    {
        this.icon = icon;
    }

    public String getIcon() 
    {
        return icon;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setWid(Long wid) 
    {
        this.wid = wid;
    }

    public Long getWid() 
    {
        return wid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("codeUrl", getCodeUrl())
            .append("codeImage", getCodeImage())
            .append("current", getCurrent())
            .append("day", getDay())
            .append("icon", getIcon())
            .append("name", getName())
            .append("wid", getWid())
            .toString();
    }
}
