package com.ruoyi.catdog.mapper;

import java.util.List;
import com.ruoyi.catdog.domain.CleanItems;

/**
 * 清洁物品Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface CleanItemsMapper 
{
    /**
     * 查询清洁物品
     * 
     * @param cleanItemsId 清洁物品主键
     * @return 清洁物品
     */
    public CleanItems selectCleanItemsByCleanItemsId(Long cleanItemsId);

    /**
     * 查询清洁物品列表
     * 
     * @param cleanItems 清洁物品
     * @return 清洁物品集合
     */
    public List<CleanItems> selectCleanItemsList(CleanItems cleanItems);

    /**
     * 新增清洁物品
     * 
     * @param cleanItems 清洁物品
     * @return 结果
     */
    public int insertCleanItems(CleanItems cleanItems);

    /**
     * 修改清洁物品
     * 
     * @param cleanItems 清洁物品
     * @return 结果
     */
    public int updateCleanItems(CleanItems cleanItems);

    /**
     * 删除清洁物品
     * 
     * @param cleanItemsId 清洁物品主键
     * @return 结果
     */
    public int deleteCleanItemsByCleanItemsId(Long cleanItemsId);

    /**
     * 批量删除清洁物品
     * 
     * @param cleanItemsIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCleanItemsByCleanItemsIds(Long[] cleanItemsIds);
}
