package com.ruoyi.catdog.mapper;

import java.util.List;
import com.ruoyi.catdog.domain.CleanRequest;

/**
 * 清洁要求Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface CleanRequestMapper 
{
    /**
     * 查询清洁要求
     * 
     * @param cleanRequestId 清洁要求主键
     * @return 清洁要求
     */
    public CleanRequest selectCleanRequestByCleanRequestId(Long cleanRequestId);

    /**
     * 查询清洁要求列表
     * 
     * @param cleanRequest 清洁要求
     * @return 清洁要求集合
     */
    public List<CleanRequest> selectCleanRequestList(CleanRequest cleanRequest);

    /**
     * 新增清洁要求
     * 
     * @param cleanRequest 清洁要求
     * @return 结果
     */
    public int insertCleanRequest(CleanRequest cleanRequest);

    /**
     * 修改清洁要求
     * 
     * @param cleanRequest 清洁要求
     * @return 结果
     */
    public int updateCleanRequest(CleanRequest cleanRequest);

    /**
     * 删除清洁要求
     * 
     * @param cleanRequestId 清洁要求主键
     * @return 结果
     */
    public int deleteCleanRequestByCleanRequestId(Long cleanRequestId);

    /**
     * 批量删除清洁要求
     * 
     * @param cleanRequestIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCleanRequestByCleanRequestIds(Long[] cleanRequestIds);
}
