package com.ruoyi.catdog.mapper;

import java.util.List;
import com.ruoyi.catdog.domain.Deposit;

/**
 * 保证金记录Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface DepositMapper 
{
    /**
     * 查询保证金记录
     * 
     * @param id 保证金记录主键
     * @return 保证金记录
     */
    public Deposit selectDepositById(Long id);

    /**
     * 查询保证金记录列表
     * 
     * @param deposit 保证金记录
     * @return 保证金记录集合
     */
    public List<Deposit> selectDepositList(Deposit deposit);

    /**
     * 新增保证金记录
     * 
     * @param deposit 保证金记录
     * @return 结果
     */
    public int insertDeposit(Deposit deposit);

    /**
     * 修改保证金记录
     * 
     * @param deposit 保证金记录
     * @return 结果
     */
    public int updateDeposit(Deposit deposit);

    /**
     * 删除保证金记录
     * 
     * @param id 保证金记录主键
     * @return 结果
     */
    public int deleteDepositById(Long id);

    /**
     * 批量删除保证金记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDepositByIds(Long[] ids);
}
