package com.ruoyi.catdog.mapper;

import java.util.List;
import com.ruoyi.catdog.domain.Examination;

/**
 * 考核Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface ExaminationMapper 
{
    /**
     * 查询考核
     * 
     * @param examinationId 考核主键
     * @return 考核
     */
    public Examination selectExaminationByExaminationId(Long examinationId);

    /**
     * 查询考核列表
     * 
     * @param examination 考核
     * @return 考核集合
     */
    public List<Examination> selectExaminationList(Examination examination);

    /**
     * 新增考核
     * 
     * @param examination 考核
     * @return 结果
     */
    public int insertExamination(Examination examination);

    /**
     * 修改考核
     * 
     * @param examination 考核
     * @return 结果
     */
    public int updateExamination(Examination examination);

    /**
     * 删除考核
     * 
     * @param examinationId 考核主键
     * @return 结果
     */
    public int deleteExaminationByExaminationId(Long examinationId);

    /**
     * 批量删除考核
     * 
     * @param examinationIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteExaminationByExaminationIds(Long[] examinationIds);
}
