package com.ruoyi.catdog.mapper;

import java.util.List;
import com.ruoyi.catdog.domain.FeedingFood;

/**
 * 喂养要求Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface FeedingFoodMapper 
{
    /**
     * 查询喂养要求
     * 
     * @param feedingFoodId 喂养要求主键
     * @return 喂养要求
     */
    public FeedingFood selectFeedingFoodByFeedingFoodId(Long feedingFoodId);

    /**
     * 查询喂养要求列表
     * 
     * @param feedingFood 喂养要求
     * @return 喂养要求集合
     */
    public List<FeedingFood> selectFeedingFoodList(FeedingFood feedingFood);

    /**
     * 新增喂养要求
     * 
     * @param feedingFood 喂养要求
     * @return 结果
     */
    public int insertFeedingFood(FeedingFood feedingFood);

    /**
     * 修改喂养要求
     * 
     * @param feedingFood 喂养要求
     * @return 结果
     */
    public int updateFeedingFood(FeedingFood feedingFood);

    /**
     * 删除喂养要求
     * 
     * @param feedingFoodId 喂养要求主键
     * @return 结果
     */
    public int deleteFeedingFoodByFeedingFoodId(Long feedingFoodId);

    /**
     * 批量删除喂养要求
     * 
     * @param feedingFoodIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFeedingFoodByFeedingFoodIds(Long[] feedingFoodIds);
}
