package com.ruoyi.catdog.mapper;

import java.util.List;
import com.ruoyi.catdog.domain.IndexPageConfig;

/**
 * 首页登录配置Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IndexPageConfigMapper 
{
    /**
     * 查询首页登录配置
     * 
     * @param indexBackground 首页登录配置主键
     * @return 首页登录配置
     */
    public IndexPageConfig selectIndexPageConfigByIndexBackground(String indexBackground);

    /**
     * 查询首页登录配置列表
     * 
     * @param indexPageConfig 首页登录配置
     * @return 首页登录配置集合
     */
    public List<IndexPageConfig> selectIndexPageConfigList(IndexPageConfig indexPageConfig);

    /**
     * 新增首页登录配置
     * 
     * @param indexPageConfig 首页登录配置
     * @return 结果
     */
    public int insertIndexPageConfig(IndexPageConfig indexPageConfig);

    /**
     * 修改首页登录配置
     * 
     * @param indexPageConfig 首页登录配置
     * @return 结果
     */
    public int updateIndexPageConfig(IndexPageConfig indexPageConfig);

    /**
     * 删除首页登录配置
     * 
     * @param indexBackground 首页登录配置主键
     * @return 结果
     */
    public int deleteIndexPageConfigByIndexBackground(String indexBackground);

    /**
     * 批量删除首页登录配置
     * 
     * @param indexBackgrounds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIndexPageConfigByIndexBackgrounds(String[] indexBackgrounds);
}
