package com.ruoyi.catdog.mapper;

import java.util.List;
import com.ruoyi.catdog.domain.Indexconfig;

/**
 * 主页内容配置Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IndexconfigMapper 
{
    /**
     * 查询主页内容配置
     * 
     * @param topCarouselImage 主页内容配置主键
     * @return 主页内容配置
     */
    public Indexconfig selectIndexconfigByTopCarouselImage(String topCarouselImage);

    /**
     * 查询主页内容配置列表
     * 
     * @param indexconfig 主页内容配置
     * @return 主页内容配置集合
     */
    public List<Indexconfig> selectIndexconfigList(Indexconfig indexconfig);

    /**
     * 新增主页内容配置
     * 
     * @param indexconfig 主页内容配置
     * @return 结果
     */
    public int insertIndexconfig(Indexconfig indexconfig);

    /**
     * 修改主页内容配置
     * 
     * @param indexconfig 主页内容配置
     * @return 结果
     */
    public int updateIndexconfig(Indexconfig indexconfig);

    /**
     * 删除主页内容配置
     * 
     * @param topCarouselImage 主页内容配置主键
     * @return 结果
     */
    public int deleteIndexconfigByTopCarouselImage(String topCarouselImage);

    /**
     * 批量删除主页内容配置
     * 
     * @param topCarouselImages 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIndexconfigByTopCarouselImages(String[] topCarouselImages);
}
