package com.ruoyi.catdog.mapper;

import java.util.List;
import com.ruoyi.catdog.domain.ManualConfig;

/**
 * 伴宠师手册配置Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface ManualConfigMapper 
{
    /**
     * 查询伴宠师手册配置
     * 
     * @param id 伴宠师手册配置主键
     * @return 伴宠师手册配置
     */
    public ManualConfig selectManualConfigById(Long id);

    /**
     * 查询伴宠师手册配置列表
     * 
     * @param manualConfig 伴宠师手册配置
     * @return 伴宠师手册配置集合
     */
    public List<ManualConfig> selectManualConfigList(ManualConfig manualConfig);

    /**
     * 新增伴宠师手册配置
     * 
     * @param manualConfig 伴宠师手册配置
     * @return 结果
     */
    public int insertManualConfig(ManualConfig manualConfig);

    /**
     * 修改伴宠师手册配置
     * 
     * @param manualConfig 伴宠师手册配置
     * @return 结果
     */
    public int updateManualConfig(ManualConfig manualConfig);

    /**
     * 删除伴宠师手册配置
     * 
     * @param id 伴宠师手册配置主键
     * @return 结果
     */
    public int deleteManualConfigById(Long id);

    /**
     * 批量删除伴宠师手册配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteManualConfigByIds(Long[] ids);
}
