package com.ruoyi.catdog.mapper;

import java.util.List;
import com.ruoyi.catdog.domain.Partner;

/**
 * 合伙人Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface PartnerMapper 
{
    /**
     * 查询合伙人
     * 
     * @param id 合伙人主键
     * @return 合伙人
     */
    public Partner selectPartnerById(Long id);

    /**
     * 查询合伙人列表
     * 
     * @param partner 合伙人
     * @return 合伙人集合
     */
    public List<Partner> selectPartnerList(Partner partner);

    /**
     * 新增合伙人
     * 
     * @param partner 合伙人
     * @return 结果
     */
    public int insertPartner(Partner partner);

    /**
     * 修改合伙人
     * 
     * @param partner 合伙人
     * @return 结果
     */
    public int updatePartner(Partner partner);

    /**
     * 删除合伙人
     * 
     * @param id 合伙人主键
     * @return 结果
     */
    public int deletePartnerById(Long id);

    /**
     * 批量删除合伙人
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePartnerByIds(Long[] ids);
}
