package com.ruoyi.catdog.mapper;

import java.util.List;
import com.ruoyi.catdog.domain.PetProfileConfig;

/**
 * 宠物档案配置Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface PetProfileConfigMapper 
{
    /**
     * 查询宠物档案配置
     * 
     * @param id 宠物档案配置主键
     * @return 宠物档案配置
     */
    public PetProfileConfig selectPetProfileConfigById(Long id);

    /**
     * 查询宠物档案配置列表
     * 
     * @param petProfileConfig 宠物档案配置
     * @return 宠物档案配置集合
     */
    public List<PetProfileConfig> selectPetProfileConfigList(PetProfileConfig petProfileConfig);

    /**
     * 新增宠物档案配置
     * 
     * @param petProfileConfig 宠物档案配置
     * @return 结果
     */
    public int insertPetProfileConfig(PetProfileConfig petProfileConfig);

    /**
     * 修改宠物档案配置
     * 
     * @param petProfileConfig 宠物档案配置
     * @return 结果
     */
    public int updatePetProfileConfig(PetProfileConfig petProfileConfig);

    /**
     * 删除宠物档案配置
     * 
     * @param id 宠物档案配置主键
     * @return 结果
     */
    public int deletePetProfileConfigById(Long id);

    /**
     * 批量删除宠物档案配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePetProfileConfigByIds(Long[] ids);
}
