package com.ruoyi.catdog.mapper;

import java.util.List;
import com.ruoyi.catdog.domain.PetTeacherGrade;

/**
 * 伴宠师等级配置Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface PetTeacherGradeMapper 
{
    /**
     * 查询伴宠师等级配置
     * 
     * @param gradeId 伴宠师等级配置主键
     * @return 伴宠师等级配置
     */
    public PetTeacherGrade selectPetTeacherGradeByGradeId(String gradeId);

    /**
     * 查询伴宠师等级配置列表
     * 
     * @param petTeacherGrade 伴宠师等级配置
     * @return 伴宠师等级配置集合
     */
    public List<PetTeacherGrade> selectPetTeacherGradeList(PetTeacherGrade petTeacherGrade);

    /**
     * 新增伴宠师等级配置
     * 
     * @param petTeacherGrade 伴宠师等级配置
     * @return 结果
     */
    public int insertPetTeacherGrade(PetTeacherGrade petTeacherGrade);

    /**
     * 修改伴宠师等级配置
     * 
     * @param petTeacherGrade 伴宠师等级配置
     * @return 结果
     */
    public int updatePetTeacherGrade(PetTeacherGrade petTeacherGrade);

    /**
     * 删除伴宠师等级配置
     * 
     * @param gradeId 伴宠师等级配置主键
     * @return 结果
     */
    public int deletePetTeacherGradeByGradeId(String gradeId);

    /**
     * 批量删除伴宠师等级配置
     * 
     * @param gradeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePetTeacherGradeByGradeIds(String[] gradeIds);
}
