package com.ruoyi.catdog.mapper;

import java.util.List;
import com.ruoyi.catdog.domain.PetTeacherInfo;

/**
 * 伴宠师信息Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface PetTeacherInfoMapper 
{
    /**
     * 查询伴宠师信息
     * 
     * @param petTeacherId 伴宠师信息主键
     * @return 伴宠师信息
     */
    public PetTeacherInfo selectPetTeacherInfoByPetTeacherId(Long petTeacherId);

    /**
     * 查询伴宠师信息列表
     * 
     * @param petTeacherInfo 伴宠师信息
     * @return 伴宠师信息集合
     */
    public List<PetTeacherInfo> selectPetTeacherInfoList(PetTeacherInfo petTeacherInfo);

    /**
     * 新增伴宠师信息
     * 
     * @param petTeacherInfo 伴宠师信息
     * @return 结果
     */
    public int insertPetTeacherInfo(PetTeacherInfo petTeacherInfo);

    /**
     * 修改伴宠师信息
     * 
     * @param petTeacherInfo 伴宠师信息
     * @return 结果
     */
    public int updatePetTeacherInfo(PetTeacherInfo petTeacherInfo);

    /**
     * 删除伴宠师信息
     * 
     * @param petTeacherId 伴宠师信息主键
     * @return 结果
     */
    public int deletePetTeacherInfoByPetTeacherId(Long petTeacherId);

    /**
     * 批量删除伴宠师信息
     * 
     * @param petTeacherIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePetTeacherInfoByPetTeacherIds(Long[] petTeacherIds);
}
