package com.ruoyi.catdog.service;

import java.util.List;
import com.ruoyi.catdog.domain.DescriptivesConfig;

/**
 * 数据描述配置Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IDescriptivesConfigService 
{
    /**
     * 查询数据描述配置
     * 
     * @param id 数据描述配置主键
     * @return 数据描述配置
     */
    public DescriptivesConfig selectDescriptivesConfigById(Long id);

    /**
     * 查询数据描述配置列表
     * 
     * @param descriptivesConfig 数据描述配置
     * @return 数据描述配置集合
     */
    public List<DescriptivesConfig> selectDescriptivesConfigList(DescriptivesConfig descriptivesConfig);

    /**
     * 新增数据描述配置
     * 
     * @param descriptivesConfig 数据描述配置
     * @return 结果
     */
    public int insertDescriptivesConfig(DescriptivesConfig descriptivesConfig);

    /**
     * 修改数据描述配置
     * 
     * @param descriptivesConfig 数据描述配置
     * @return 结果
     */
    public int updateDescriptivesConfig(DescriptivesConfig descriptivesConfig);

    /**
     * 批量删除数据描述配置
     * 
     * @param ids 需要删除的数据描述配置主键集合
     * @return 结果
     */
    public int deleteDescriptivesConfigByIds(Long[] ids);

    /**
     * 删除数据描述配置信息
     * 
     * @param id 数据描述配置主键
     * @return 结果
     */
    public int deleteDescriptivesConfigById(Long id);
}
