package com.ruoyi.catdog.service;

import java.util.List;
import com.ruoyi.catdog.domain.FeedingFoodType;

/**
 * 喂养食品类型Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IFeedingFoodTypeService 
{
    /**
     * 查询喂养食品类型
     * 
     * @param feedingFoodTypeId 喂养食品类型主键
     * @return 喂养食品类型
     */
    public FeedingFoodType selectFeedingFoodTypeByFeedingFoodTypeId(Long feedingFoodTypeId);

    /**
     * 查询喂养食品类型列表
     * 
     * @param feedingFoodType 喂养食品类型
     * @return 喂养食品类型集合
     */
    public List<FeedingFoodType> selectFeedingFoodTypeList(FeedingFoodType feedingFoodType);

    /**
     * 新增喂养食品类型
     * 
     * @param feedingFoodType 喂养食品类型
     * @return 结果
     */
    public int insertFeedingFoodType(FeedingFoodType feedingFoodType);

    /**
     * 修改喂养食品类型
     * 
     * @param feedingFoodType 喂养食品类型
     * @return 结果
     */
    public int updateFeedingFoodType(FeedingFoodType feedingFoodType);

    /**
     * 批量删除喂养食品类型
     * 
     * @param feedingFoodTypeIds 需要删除的喂养食品类型主键集合
     * @return 结果
     */
    public int deleteFeedingFoodTypeByFeedingFoodTypeIds(Long[] feedingFoodTypeIds);

    /**
     * 删除喂养食品类型信息
     * 
     * @param feedingFoodTypeId 喂养食品类型主键
     * @return 结果
     */
    public int deleteFeedingFoodTypeByFeedingFoodTypeId(Long feedingFoodTypeId);
}
