package com.ruoyi.catdog.service;

import java.util.List;
import com.ruoyi.catdog.domain.Invite;

/**
 * 邀请海报配置Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IInviteService 
{
    /**
     * 查询邀请海报配置
     * 
     * @param id 邀请海报配置主键
     * @return 邀请海报配置
     */
    public Invite selectInviteById(Long id);

    /**
     * 查询邀请海报配置列表
     * 
     * @param invite 邀请海报配置
     * @return 邀请海报配置集合
     */
    public List<Invite> selectInviteList(Invite invite);

    /**
     * 新增邀请海报配置
     * 
     * @param invite 邀请海报配置
     * @return 结果
     */
    public int insertInvite(Invite invite);

    /**
     * 修改邀请海报配置
     * 
     * @param invite 邀请海报配置
     * @return 结果
     */
    public int updateInvite(Invite invite);

    /**
     * 批量删除邀请海报配置
     * 
     * @param ids 需要删除的邀请海报配置主键集合
     * @return 结果
     */
    public int deleteInviteByIds(Long[] ids);

    /**
     * 删除邀请海报配置信息
     * 
     * @param id 邀请海报配置主键
     * @return 结果
     */
    public int deleteInviteById(Long id);
}
