package com.ruoyi.catdog.service;

import java.util.List;
import com.ruoyi.catdog.domain.LicenseImage;

/**
 * 执照图片Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface ILicenseImageService 
{
    /**
     * 查询执照图片
     * 
     * @param id 执照图片主键
     * @return 执照图片
     */
    public LicenseImage selectLicenseImageById(Long id);

    /**
     * 查询执照图片列表
     * 
     * @param licenseImage 执照图片
     * @return 执照图片集合
     */
    public List<LicenseImage> selectLicenseImageList(LicenseImage licenseImage);

    /**
     * 新增执照图片
     * 
     * @param licenseImage 执照图片
     * @return 结果
     */
    public int insertLicenseImage(LicenseImage licenseImage);

    /**
     * 修改执照图片
     * 
     * @param licenseImage 执照图片
     * @return 结果
     */
    public int updateLicenseImage(LicenseImage licenseImage);

    /**
     * 批量删除执照图片
     * 
     * @param ids 需要删除的执照图片主键集合
     * @return 结果
     */
    public int deleteLicenseImageByIds(Long[] ids);

    /**
     * 删除执照图片信息
     * 
     * @param id 执照图片主键
     * @return 结果
     */
    public int deleteLicenseImageById(Long id);
}
