package com.ruoyi.catdog.service;

import java.util.List;
import com.ruoyi.catdog.domain.LossOrder;

/**
 * 流失订单Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface ILossOrderService 
{
    /**
     * 查询流失订单
     * 
     * @param lossOrderId 流失订单主键
     * @return 流失订单
     */
    public LossOrder selectLossOrderByLossOrderId(Long lossOrderId);

    /**
     * 查询流失订单列表
     * 
     * @param lossOrder 流失订单
     * @return 流失订单集合
     */
    public List<LossOrder> selectLossOrderList(LossOrder lossOrder);

    /**
     * 新增流失订单
     * 
     * @param lossOrder 流失订单
     * @return 结果
     */
    public int insertLossOrder(LossOrder lossOrder);

    /**
     * 修改流失订单
     * 
     * @param lossOrder 流失订单
     * @return 结果
     */
    public int updateLossOrder(LossOrder lossOrder);

    /**
     * 批量删除流失订单
     * 
     * @param lossOrderIds 需要删除的流失订单主键集合
     * @return 结果
     */
    public int deleteLossOrderByLossOrderIds(Long[] lossOrderIds);

    /**
     * 删除流失订单信息
     * 
     * @param lossOrderId 流失订单主键
     * @return 结果
     */
    public int deleteLossOrderByLossOrderId(Long lossOrderId);
}
