package com.ruoyi.catdog.service;

import java.util.List;
import com.ruoyi.catdog.domain.OrdersRecords;

/**
 * 接单记录Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IOrdersRecordsService 
{
    /**
     * 查询接单记录
     * 
     * @param ordersRecordsId 接单记录主键
     * @return 接单记录
     */
    public OrdersRecords selectOrdersRecordsByOrdersRecordsId(Long ordersRecordsId);

    /**
     * 查询接单记录列表
     * 
     * @param ordersRecords 接单记录
     * @return 接单记录集合
     */
    public List<OrdersRecords> selectOrdersRecordsList(OrdersRecords ordersRecords);

    /**
     * 新增接单记录
     * 
     * @param ordersRecords 接单记录
     * @return 结果
     */
    public int insertOrdersRecords(OrdersRecords ordersRecords);

    /**
     * 修改接单记录
     * 
     * @param ordersRecords 接单记录
     * @return 结果
     */
    public int updateOrdersRecords(OrdersRecords ordersRecords);

    /**
     * 批量删除接单记录
     * 
     * @param ordersRecordsIds 需要删除的接单记录主键集合
     * @return 结果
     */
    public int deleteOrdersRecordsByOrdersRecordsIds(Long[] ordersRecordsIds);

    /**
     * 删除接单记录信息
     * 
     * @param ordersRecordsId 接单记录主键
     * @return 结果
     */
    public int deleteOrdersRecordsByOrdersRecordsId(Long ordersRecordsId);
}
