package com.ruoyi.catdog.service;

import java.util.List;
import com.ruoyi.catdog.domain.PaperPromptConfig;

/**
 * 证件提示配置Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IPaperPromptConfigService 
{
    /**
     * 查询证件提示配置
     * 
     * @param id 证件提示配置主键
     * @return 证件提示配置
     */
    public PaperPromptConfig selectPaperPromptConfigById(Long id);

    /**
     * 查询证件提示配置列表
     * 
     * @param paperPromptConfig 证件提示配置
     * @return 证件提示配置集合
     */
    public List<PaperPromptConfig> selectPaperPromptConfigList(PaperPromptConfig paperPromptConfig);

    /**
     * 新增证件提示配置
     * 
     * @param paperPromptConfig 证件提示配置
     * @return 结果
     */
    public int insertPaperPromptConfig(PaperPromptConfig paperPromptConfig);

    /**
     * 修改证件提示配置
     * 
     * @param paperPromptConfig 证件提示配置
     * @return 结果
     */
    public int updatePaperPromptConfig(PaperPromptConfig paperPromptConfig);

    /**
     * 批量删除证件提示配置
     * 
     * @param ids 需要删除的证件提示配置主键集合
     * @return 结果
     */
    public int deletePaperPromptConfigByIds(Long[] ids);

    /**
     * 删除证件提示配置信息
     * 
     * @param id 证件提示配置主键
     * @return 结果
     */
    public int deletePaperPromptConfigById(Long id);
}
