package com.ruoyi.catdog.service;

import java.util.List;
import com.ruoyi.catdog.domain.Partnerbinding;

/**
 * 合伙人绑定Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IPartnerbindingService 
{
    /**
     * 查询合伙人绑定
     * 
     * @param id 合伙人绑定主键
     * @return 合伙人绑定
     */
    public Partnerbinding selectPartnerbindingById(Long id);

    /**
     * 查询合伙人绑定列表
     * 
     * @param partnerbinding 合伙人绑定
     * @return 合伙人绑定集合
     */
    public List<Partnerbinding> selectPartnerbindingList(Partnerbinding partnerbinding);

    /**
     * 新增合伙人绑定
     * 
     * @param partnerbinding 合伙人绑定
     * @return 结果
     */
    public int insertPartnerbinding(Partnerbinding partnerbinding);

    /**
     * 修改合伙人绑定
     * 
     * @param partnerbinding 合伙人绑定
     * @return 结果
     */
    public int updatePartnerbinding(Partnerbinding partnerbinding);

    /**
     * 批量删除合伙人绑定
     * 
     * @param ids 需要删除的合伙人绑定主键集合
     * @return 结果
     */
    public int deletePartnerbindingByIds(Long[] ids);

    /**
     * 删除合伙人绑定信息
     * 
     * @param id 合伙人绑定主键
     * @return 结果
     */
    public int deletePartnerbindingById(Long id);
}
