package com.ruoyi.catdog.service;

import java.util.List;
import com.ruoyi.catdog.domain.Partnerdata;

/**
 * 合伙人数据Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IPartnerdataService 
{
    /**
     * 查询合伙人数据
     * 
     * @param id 合伙人数据主键
     * @return 合伙人数据
     */
    public Partnerdata selectPartnerdataById(Long id);

    /**
     * 查询合伙人数据列表
     * 
     * @param partnerdata 合伙人数据
     * @return 合伙人数据集合
     */
    public List<Partnerdata> selectPartnerdataList(Partnerdata partnerdata);

    /**
     * 新增合伙人数据
     * 
     * @param partnerdata 合伙人数据
     * @return 结果
     */
    public int insertPartnerdata(Partnerdata partnerdata);

    /**
     * 修改合伙人数据
     * 
     * @param partnerdata 合伙人数据
     * @return 结果
     */
    public int updatePartnerdata(Partnerdata partnerdata);

    /**
     * 批量删除合伙人数据
     * 
     * @param ids 需要删除的合伙人数据主键集合
     * @return 结果
     */
    public int deletePartnerdataByIds(Long[] ids);

    /**
     * 删除合伙人数据信息
     * 
     * @param id 合伙人数据主键
     * @return 结果
     */
    public int deletePartnerdataById(Long id);
}
