package com.ruoyi.catdog.service;

import java.util.List;
import com.ruoyi.catdog.domain.PetPersonalityConfig;

/**
 * 宠物性格快捷选择配置Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IPetPersonalityConfigService 
{
    /**
     * 查询宠物性格快捷选择配置
     * 
     * @param id 宠物性格快捷选择配置主键
     * @return 宠物性格快捷选择配置
     */
    public PetPersonalityConfig selectPetPersonalityConfigById(Long id);

    /**
     * 查询宠物性格快捷选择配置列表
     * 
     * @param petPersonalityConfig 宠物性格快捷选择配置
     * @return 宠物性格快捷选择配置集合
     */
    public List<PetPersonalityConfig> selectPetPersonalityConfigList(PetPersonalityConfig petPersonalityConfig);

    /**
     * 新增宠物性格快捷选择配置
     * 
     * @param petPersonalityConfig 宠物性格快捷选择配置
     * @return 结果
     */
    public int insertPetPersonalityConfig(PetPersonalityConfig petPersonalityConfig);

    /**
     * 修改宠物性格快捷选择配置
     * 
     * @param petPersonalityConfig 宠物性格快捷选择配置
     * @return 结果
     */
    public int updatePetPersonalityConfig(PetPersonalityConfig petPersonalityConfig);

    /**
     * 批量删除宠物性格快捷选择配置
     * 
     * @param ids 需要删除的宠物性格快捷选择配置主键集合
     * @return 结果
     */
    public int deletePetPersonalityConfigByIds(Long[] ids);

    /**
     * 删除宠物性格快捷选择配置信息
     * 
     * @param id 宠物性格快捷选择配置主键
     * @return 结果
     */
    public int deletePetPersonalityConfigById(Long id);
}
