package com.ruoyi.catdog.service;

import java.util.List;
import com.ruoyi.catdog.domain.PetTeacharCheck;

/**
 * 打卡Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IPetTeacharCheckService 
{
    /**
     * 查询打卡
     * 
     * @param checkId 打卡主键
     * @return 打卡
     */
    public PetTeacharCheck selectPetTeacharCheckByCheckId(Long checkId);

    /**
     * 查询打卡列表
     * 
     * @param petTeacharCheck 打卡
     * @return 打卡集合
     */
    public List<PetTeacharCheck> selectPetTeacharCheckList(PetTeacharCheck petTeacharCheck);

    /**
     * 新增打卡
     * 
     * @param petTeacharCheck 打卡
     * @return 结果
     */
    public int insertPetTeacharCheck(PetTeacharCheck petTeacharCheck);

    /**
     * 修改打卡
     * 
     * @param petTeacharCheck 打卡
     * @return 结果
     */
    public int updatePetTeacharCheck(PetTeacharCheck petTeacharCheck);

    /**
     * 批量删除打卡
     * 
     * @param checkIds 需要删除的打卡主键集合
     * @return 结果
     */
    public int deletePetTeacharCheckByCheckIds(Long[] checkIds);

    /**
     * 删除打卡信息
     * 
     * @param checkId 打卡主键
     * @return 结果
     */
    public int deletePetTeacharCheckByCheckId(Long checkId);
}
