package com.ruoyi.catdog.service;

import java.util.List;
import com.ruoyi.catdog.domain.Pets;

/**
 * 宠物信息Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IPetsService 
{
    /**
     * 查询宠物信息
     * 
     * @param petId 宠物信息主键
     * @return 宠物信息
     */
    public Pets selectPetsByPetId(Long petId);

    /**
     * 查询宠物信息列表
     * 
     * @param pets 宠物信息
     * @return 宠物信息集合
     */
    public List<Pets> selectPetsList(Pets pets);

    /**
     * 新增宠物信息
     * 
     * @param pets 宠物信息
     * @return 结果
     */
    public int insertPets(Pets pets);

    /**
     * 修改宠物信息
     * 
     * @param pets 宠物信息
     * @return 结果
     */
    public int updatePets(Pets pets);

    /**
     * 批量删除宠物信息
     * 
     * @param petIds 需要删除的宠物信息主键集合
     * @return 结果
     */
    public int deletePetsByPetIds(Long[] petIds);

    /**
     * 删除宠物信息信息
     * 
     * @param petId 宠物信息主键
     * @return 结果
     */
    public int deletePetsByPetId(Long petId);
}
