package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.CleanRequestMapper;
import com.ruoyi.catdog.domain.CleanRequest;
import com.ruoyi.catdog.service.ICleanRequestService;

/**
 * 清洁要求Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class CleanRequestServiceImpl implements ICleanRequestService 
{
    @Autowired
    private CleanRequestMapper cleanRequestMapper;

    /**
     * 查询清洁要求
     * 
     * @param cleanRequestId 清洁要求主键
     * @return 清洁要求
     */
    @Override
    public CleanRequest selectCleanRequestByCleanRequestId(Long cleanRequestId)
    {
        return cleanRequestMapper.selectCleanRequestByCleanRequestId(cleanRequestId);
    }

    /**
     * 查询清洁要求列表
     * 
     * @param cleanRequest 清洁要求
     * @return 清洁要求
     */
    @Override
    public List<CleanRequest> selectCleanRequestList(CleanRequest cleanRequest)
    {
        return cleanRequestMapper.selectCleanRequestList(cleanRequest);
    }

    /**
     * 新增清洁要求
     * 
     * @param cleanRequest 清洁要求
     * @return 结果
     */
    @Override
    public int insertCleanRequest(CleanRequest cleanRequest)
    {
        return cleanRequestMapper.insertCleanRequest(cleanRequest);
    }

    /**
     * 修改清洁要求
     * 
     * @param cleanRequest 清洁要求
     * @return 结果
     */
    @Override
    public int updateCleanRequest(CleanRequest cleanRequest)
    {
        return cleanRequestMapper.updateCleanRequest(cleanRequest);
    }

    /**
     * 批量删除清洁要求
     * 
     * @param cleanRequestIds 需要删除的清洁要求主键
     * @return 结果
     */
    @Override
    public int deleteCleanRequestByCleanRequestIds(Long[] cleanRequestIds)
    {
        return cleanRequestMapper.deleteCleanRequestByCleanRequestIds(cleanRequestIds);
    }

    /**
     * 删除清洁要求信息
     * 
     * @param cleanRequestId 清洁要求主键
     * @return 结果
     */
    @Override
    public int deleteCleanRequestByCleanRequestId(Long cleanRequestId)
    {
        return cleanRequestMapper.deleteCleanRequestByCleanRequestId(cleanRequestId);
    }
}
