package com.ruoyi.catdog.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.DepositMapper;
import com.ruoyi.catdog.domain.Deposit;
import com.ruoyi.catdog.service.IDepositService;

/**
 * 保证金记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class DepositServiceImpl implements IDepositService 
{
    @Autowired
    private DepositMapper depositMapper;

    /**
     * 查询保证金记录
     * 
     * @param id 保证金记录主键
     * @return 保证金记录
     */
    @Override
    public Deposit selectDepositById(Long id)
    {
        return depositMapper.selectDepositById(id);
    }

    /**
     * 查询保证金记录列表
     * 
     * @param deposit 保证金记录
     * @return 保证金记录
     */
    @Override
    public List<Deposit> selectDepositList(Deposit deposit)
    {
        return depositMapper.selectDepositList(deposit);
    }

    /**
     * 新增保证金记录
     * 
     * @param deposit 保证金记录
     * @return 结果
     */
    @Override
    public int insertDeposit(Deposit deposit)
    {
        deposit.setCreateTime(DateUtils.getNowDate());
        return depositMapper.insertDeposit(deposit);
    }

    /**
     * 修改保证金记录
     * 
     * @param deposit 保证金记录
     * @return 结果
     */
    @Override
    public int updateDeposit(Deposit deposit)
    {
        return depositMapper.updateDeposit(deposit);
    }

    /**
     * 批量删除保证金记录
     * 
     * @param ids 需要删除的保证金记录主键
     * @return 结果
     */
    @Override
    public int deleteDepositByIds(Long[] ids)
    {
        return depositMapper.deleteDepositByIds(ids);
    }

    /**
     * 删除保证金记录信息
     * 
     * @param id 保证金记录主键
     * @return 结果
     */
    @Override
    public int deleteDepositById(Long id)
    {
        return depositMapper.deleteDepositById(id);
    }
}
