package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.DescriptivesConfigMapper;
import com.ruoyi.catdog.domain.DescriptivesConfig;
import com.ruoyi.catdog.service.IDescriptivesConfigService;

/**
 * 数据描述配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class DescriptivesConfigServiceImpl implements IDescriptivesConfigService 
{
    @Autowired
    private DescriptivesConfigMapper descriptivesConfigMapper;

    /**
     * 查询数据描述配置
     * 
     * @param id 数据描述配置主键
     * @return 数据描述配置
     */
    @Override
    public DescriptivesConfig selectDescriptivesConfigById(Long id)
    {
        return descriptivesConfigMapper.selectDescriptivesConfigById(id);
    }

    /**
     * 查询数据描述配置列表
     * 
     * @param descriptivesConfig 数据描述配置
     * @return 数据描述配置
     */
    @Override
    public List<DescriptivesConfig> selectDescriptivesConfigList(DescriptivesConfig descriptivesConfig)
    {
        return descriptivesConfigMapper.selectDescriptivesConfigList(descriptivesConfig);
    }

    /**
     * 新增数据描述配置
     * 
     * @param descriptivesConfig 数据描述配置
     * @return 结果
     */
    @Override
    public int insertDescriptivesConfig(DescriptivesConfig descriptivesConfig)
    {
        return descriptivesConfigMapper.insertDescriptivesConfig(descriptivesConfig);
    }

    /**
     * 修改数据描述配置
     * 
     * @param descriptivesConfig 数据描述配置
     * @return 结果
     */
    @Override
    public int updateDescriptivesConfig(DescriptivesConfig descriptivesConfig)
    {
        return descriptivesConfigMapper.updateDescriptivesConfig(descriptivesConfig);
    }

    /**
     * 批量删除数据描述配置
     * 
     * @param ids 需要删除的数据描述配置主键
     * @return 结果
     */
    @Override
    public int deleteDescriptivesConfigByIds(Long[] ids)
    {
        return descriptivesConfigMapper.deleteDescriptivesConfigByIds(ids);
    }

    /**
     * 删除数据描述配置信息
     * 
     * @param id 数据描述配置主键
     * @return 结果
     */
    @Override
    public int deleteDescriptivesConfigById(Long id)
    {
        return descriptivesConfigMapper.deleteDescriptivesConfigById(id);
    }
}
