package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.FeedingFoodMapper;
import com.ruoyi.catdog.domain.FeedingFood;
import com.ruoyi.catdog.service.IFeedingFoodService;

/**
 * 喂养要求Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class FeedingFoodServiceImpl implements IFeedingFoodService 
{
    @Autowired
    private FeedingFoodMapper feedingFoodMapper;

    /**
     * 查询喂养要求
     * 
     * @param feedingFoodId 喂养要求主键
     * @return 喂养要求
     */
    @Override
    public FeedingFood selectFeedingFoodByFeedingFoodId(Long feedingFoodId)
    {
        return feedingFoodMapper.selectFeedingFoodByFeedingFoodId(feedingFoodId);
    }

    /**
     * 查询喂养要求列表
     * 
     * @param feedingFood 喂养要求
     * @return 喂养要求
     */
    @Override
    public List<FeedingFood> selectFeedingFoodList(FeedingFood feedingFood)
    {
        return feedingFoodMapper.selectFeedingFoodList(feedingFood);
    }

    /**
     * 新增喂养要求
     * 
     * @param feedingFood 喂养要求
     * @return 结果
     */
    @Override
    public int insertFeedingFood(FeedingFood feedingFood)
    {
        return feedingFoodMapper.insertFeedingFood(feedingFood);
    }

    /**
     * 修改喂养要求
     * 
     * @param feedingFood 喂养要求
     * @return 结果
     */
    @Override
    public int updateFeedingFood(FeedingFood feedingFood)
    {
        return feedingFoodMapper.updateFeedingFood(feedingFood);
    }

    /**
     * 批量删除喂养要求
     * 
     * @param feedingFoodIds 需要删除的喂养要求主键
     * @return 结果
     */
    @Override
    public int deleteFeedingFoodByFeedingFoodIds(Long[] feedingFoodIds)
    {
        return feedingFoodMapper.deleteFeedingFoodByFeedingFoodIds(feedingFoodIds);
    }

    /**
     * 删除喂养要求信息
     * 
     * @param feedingFoodId 喂养要求主键
     * @return 结果
     */
    @Override
    public int deleteFeedingFoodByFeedingFoodId(Long feedingFoodId)
    {
        return feedingFoodMapper.deleteFeedingFoodByFeedingFoodId(feedingFoodId);
    }
}
