package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.FeedingRequirementsMapper;
import com.ruoyi.catdog.domain.FeedingRequirements;
import com.ruoyi.catdog.service.IFeedingRequirementsService;

/**
 * 喂养要求配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class FeedingRequirementsServiceImpl implements IFeedingRequirementsService 
{
    @Autowired
    private FeedingRequirementsMapper feedingRequirementsMapper;

    /**
     * 查询喂养要求配置
     * 
     * @param feedingRequirementsId 喂养要求配置主键
     * @return 喂养要求配置
     */
    @Override
    public FeedingRequirements selectFeedingRequirementsByFeedingRequirementsId(Long feedingRequirementsId)
    {
        return feedingRequirementsMapper.selectFeedingRequirementsByFeedingRequirementsId(feedingRequirementsId);
    }

    /**
     * 查询喂养要求配置列表
     * 
     * @param feedingRequirements 喂养要求配置
     * @return 喂养要求配置
     */
    @Override
    public List<FeedingRequirements> selectFeedingRequirementsList(FeedingRequirements feedingRequirements)
    {
        return feedingRequirementsMapper.selectFeedingRequirementsList(feedingRequirements);
    }

    /**
     * 新增喂养要求配置
     * 
     * @param feedingRequirements 喂养要求配置
     * @return 结果
     */
    @Override
    public int insertFeedingRequirements(FeedingRequirements feedingRequirements)
    {
        return feedingRequirementsMapper.insertFeedingRequirements(feedingRequirements);
    }

    /**
     * 修改喂养要求配置
     * 
     * @param feedingRequirements 喂养要求配置
     * @return 结果
     */
    @Override
    public int updateFeedingRequirements(FeedingRequirements feedingRequirements)
    {
        return feedingRequirementsMapper.updateFeedingRequirements(feedingRequirements);
    }

    /**
     * 批量删除喂养要求配置
     * 
     * @param feedingRequirementsIds 需要删除的喂养要求配置主键
     * @return 结果
     */
    @Override
    public int deleteFeedingRequirementsByFeedingRequirementsIds(Long[] feedingRequirementsIds)
    {
        return feedingRequirementsMapper.deleteFeedingRequirementsByFeedingRequirementsIds(feedingRequirementsIds);
    }

    /**
     * 删除喂养要求配置信息
     * 
     * @param feedingRequirementsId 喂养要求配置主键
     * @return 结果
     */
    @Override
    public int deleteFeedingRequirementsByFeedingRequirementsId(Long feedingRequirementsId)
    {
        return feedingRequirementsMapper.deleteFeedingRequirementsByFeedingRequirementsId(feedingRequirementsId);
    }
}
