package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.IndexPageConfigMapper;
import com.ruoyi.catdog.domain.IndexPageConfig;
import com.ruoyi.catdog.service.IIndexPageConfigService;

/**
 * 首页登录配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class IndexPageConfigServiceImpl implements IIndexPageConfigService 
{
    @Autowired
    private IndexPageConfigMapper indexPageConfigMapper;

    /**
     * 查询首页登录配置
     * 
     * @param indexBackground 首页登录配置主键
     * @return 首页登录配置
     */
    @Override
    public IndexPageConfig selectIndexPageConfigByIndexBackground(String indexBackground)
    {
        return indexPageConfigMapper.selectIndexPageConfigByIndexBackground(indexBackground);
    }

    /**
     * 查询首页登录配置列表
     * 
     * @param indexPageConfig 首页登录配置
     * @return 首页登录配置
     */
    @Override
    public List<IndexPageConfig> selectIndexPageConfigList(IndexPageConfig indexPageConfig)
    {
        return indexPageConfigMapper.selectIndexPageConfigList(indexPageConfig);
    }

    /**
     * 新增首页登录配置
     * 
     * @param indexPageConfig 首页登录配置
     * @return 结果
     */
    @Override
    public int insertIndexPageConfig(IndexPageConfig indexPageConfig)
    {
        return indexPageConfigMapper.insertIndexPageConfig(indexPageConfig);
    }

    /**
     * 修改首页登录配置
     * 
     * @param indexPageConfig 首页登录配置
     * @return 结果
     */
    @Override
    public int updateIndexPageConfig(IndexPageConfig indexPageConfig)
    {
        return indexPageConfigMapper.updateIndexPageConfig(indexPageConfig);
    }

    /**
     * 批量删除首页登录配置
     * 
     * @param indexBackgrounds 需要删除的首页登录配置主键
     * @return 结果
     */
    @Override
    public int deleteIndexPageConfigByIndexBackgrounds(String[] indexBackgrounds)
    {
        return indexPageConfigMapper.deleteIndexPageConfigByIndexBackgrounds(indexBackgrounds);
    }

    /**
     * 删除首页登录配置信息
     * 
     * @param indexBackground 首页登录配置主键
     * @return 结果
     */
    @Override
    public int deleteIndexPageConfigByIndexBackground(String indexBackground)
    {
        return indexPageConfigMapper.deleteIndexPageConfigByIndexBackground(indexBackground);
    }
}
