package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.IndexconfigMapper;
import com.ruoyi.catdog.domain.Indexconfig;
import com.ruoyi.catdog.service.IIndexconfigService;

/**
 * 主页内容配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class IndexconfigServiceImpl implements IIndexconfigService 
{
    @Autowired
    private IndexconfigMapper indexconfigMapper;

    /**
     * 查询主页内容配置
     * 
     * @param topCarouselImage 主页内容配置主键
     * @return 主页内容配置
     */
    @Override
    public Indexconfig selectIndexconfigByTopCarouselImage(String topCarouselImage)
    {
        return indexconfigMapper.selectIndexconfigByTopCarouselImage(topCarouselImage);
    }

    /**
     * 查询主页内容配置列表
     * 
     * @param indexconfig 主页内容配置
     * @return 主页内容配置
     */
    @Override
    public List<Indexconfig> selectIndexconfigList(Indexconfig indexconfig)
    {
        return indexconfigMapper.selectIndexconfigList(indexconfig);
    }

    /**
     * 新增主页内容配置
     * 
     * @param indexconfig 主页内容配置
     * @return 结果
     */
    @Override
    public int insertIndexconfig(Indexconfig indexconfig)
    {
        return indexconfigMapper.insertIndexconfig(indexconfig);
    }

    /**
     * 修改主页内容配置
     * 
     * @param indexconfig 主页内容配置
     * @return 结果
     */
    @Override
    public int updateIndexconfig(Indexconfig indexconfig)
    {
        return indexconfigMapper.updateIndexconfig(indexconfig);
    }

    /**
     * 批量删除主页内容配置
     * 
     * @param topCarouselImages 需要删除的主页内容配置主键
     * @return 结果
     */
    @Override
    public int deleteIndexconfigByTopCarouselImages(String[] topCarouselImages)
    {
        return indexconfigMapper.deleteIndexconfigByTopCarouselImages(topCarouselImages);
    }

    /**
     * 删除主页内容配置信息
     * 
     * @param topCarouselImage 主页内容配置主键
     * @return 结果
     */
    @Override
    public int deleteIndexconfigByTopCarouselImage(String topCarouselImage)
    {
        return indexconfigMapper.deleteIndexconfigByTopCarouselImage(topCarouselImage);
    }
}
