package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.InviteMapper;
import com.ruoyi.catdog.domain.Invite;
import com.ruoyi.catdog.service.IInviteService;

/**
 * 邀请海报配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class InviteServiceImpl implements IInviteService 
{
    @Autowired
    private InviteMapper inviteMapper;

    /**
     * 查询邀请海报配置
     * 
     * @param id 邀请海报配置主键
     * @return 邀请海报配置
     */
    @Override
    public Invite selectInviteById(Long id)
    {
        return inviteMapper.selectInviteById(id);
    }

    /**
     * 查询邀请海报配置列表
     * 
     * @param invite 邀请海报配置
     * @return 邀请海报配置
     */
    @Override
    public List<Invite> selectInviteList(Invite invite)
    {
        return inviteMapper.selectInviteList(invite);
    }

    /**
     * 新增邀请海报配置
     * 
     * @param invite 邀请海报配置
     * @return 结果
     */
    @Override
    public int insertInvite(Invite invite)
    {
        return inviteMapper.insertInvite(invite);
    }

    /**
     * 修改邀请海报配置
     * 
     * @param invite 邀请海报配置
     * @return 结果
     */
    @Override
    public int updateInvite(Invite invite)
    {
        return inviteMapper.updateInvite(invite);
    }

    /**
     * 批量删除邀请海报配置
     * 
     * @param ids 需要删除的邀请海报配置主键
     * @return 结果
     */
    @Override
    public int deleteInviteByIds(Long[] ids)
    {
        return inviteMapper.deleteInviteByIds(ids);
    }

    /**
     * 删除邀请海报配置信息
     * 
     * @param id 邀请海报配置主键
     * @return 结果
     */
    @Override
    public int deleteInviteById(Long id)
    {
        return inviteMapper.deleteInviteById(id);
    }
}
