package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.LicenseImageMapper;
import com.ruoyi.catdog.domain.LicenseImage;
import com.ruoyi.catdog.service.ILicenseImageService;

/**
 * 执照图片Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class LicenseImageServiceImpl implements ILicenseImageService 
{
    @Autowired
    private LicenseImageMapper licenseImageMapper;

    /**
     * 查询执照图片
     * 
     * @param id 执照图片主键
     * @return 执照图片
     */
    @Override
    public LicenseImage selectLicenseImageById(Long id)
    {
        return licenseImageMapper.selectLicenseImageById(id);
    }

    /**
     * 查询执照图片列表
     * 
     * @param licenseImage 执照图片
     * @return 执照图片
     */
    @Override
    public List<LicenseImage> selectLicenseImageList(LicenseImage licenseImage)
    {
        return licenseImageMapper.selectLicenseImageList(licenseImage);
    }

    /**
     * 新增执照图片
     * 
     * @param licenseImage 执照图片
     * @return 结果
     */
    @Override
    public int insertLicenseImage(LicenseImage licenseImage)
    {
        return licenseImageMapper.insertLicenseImage(licenseImage);
    }

    /**
     * 修改执照图片
     * 
     * @param licenseImage 执照图片
     * @return 结果
     */
    @Override
    public int updateLicenseImage(LicenseImage licenseImage)
    {
        return licenseImageMapper.updateLicenseImage(licenseImage);
    }

    /**
     * 批量删除执照图片
     * 
     * @param ids 需要删除的执照图片主键
     * @return 结果
     */
    @Override
    public int deleteLicenseImageByIds(Long[] ids)
    {
        return licenseImageMapper.deleteLicenseImageByIds(ids);
    }

    /**
     * 删除执照图片信息
     * 
     * @param id 执照图片主键
     * @return 结果
     */
    @Override
    public int deleteLicenseImageById(Long id)
    {
        return licenseImageMapper.deleteLicenseImageById(id);
    }
}
