package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.LossOrderMapper;
import com.ruoyi.catdog.domain.LossOrder;
import com.ruoyi.catdog.service.ILossOrderService;

/**
 * 流失订单Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class LossOrderServiceImpl implements ILossOrderService 
{
    @Autowired
    private LossOrderMapper lossOrderMapper;

    /**
     * 查询流失订单
     * 
     * @param lossOrderId 流失订单主键
     * @return 流失订单
     */
    @Override
    public LossOrder selectLossOrderByLossOrderId(Long lossOrderId)
    {
        return lossOrderMapper.selectLossOrderByLossOrderId(lossOrderId);
    }

    /**
     * 查询流失订单列表
     * 
     * @param lossOrder 流失订单
     * @return 流失订单
     */
    @Override
    public List<LossOrder> selectLossOrderList(LossOrder lossOrder)
    {
        return lossOrderMapper.selectLossOrderList(lossOrder);
    }

    /**
     * 新增流失订单
     * 
     * @param lossOrder 流失订单
     * @return 结果
     */
    @Override
    public int insertLossOrder(LossOrder lossOrder)
    {
        return lossOrderMapper.insertLossOrder(lossOrder);
    }

    /**
     * 修改流失订单
     * 
     * @param lossOrder 流失订单
     * @return 结果
     */
    @Override
    public int updateLossOrder(LossOrder lossOrder)
    {
        return lossOrderMapper.updateLossOrder(lossOrder);
    }

    /**
     * 批量删除流失订单
     * 
     * @param lossOrderIds 需要删除的流失订单主键
     * @return 结果
     */
    @Override
    public int deleteLossOrderByLossOrderIds(Long[] lossOrderIds)
    {
        return lossOrderMapper.deleteLossOrderByLossOrderIds(lossOrderIds);
    }

    /**
     * 删除流失订单信息
     * 
     * @param lossOrderId 流失订单主键
     * @return 结果
     */
    @Override
    public int deleteLossOrderByLossOrderId(Long lossOrderId)
    {
        return lossOrderMapper.deleteLossOrderByLossOrderId(lossOrderId);
    }
}
