package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.ManualConfigMapper;
import com.ruoyi.catdog.domain.ManualConfig;
import com.ruoyi.catdog.service.IManualConfigService;

/**
 * 伴宠师手册配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class ManualConfigServiceImpl implements IManualConfigService 
{
    @Autowired
    private ManualConfigMapper manualConfigMapper;

    /**
     * 查询伴宠师手册配置
     * 
     * @param id 伴宠师手册配置主键
     * @return 伴宠师手册配置
     */
    @Override
    public ManualConfig selectManualConfigById(Long id)
    {
        return manualConfigMapper.selectManualConfigById(id);
    }

    /**
     * 查询伴宠师手册配置列表
     * 
     * @param manualConfig 伴宠师手册配置
     * @return 伴宠师手册配置
     */
    @Override
    public List<ManualConfig> selectManualConfigList(ManualConfig manualConfig)
    {
        return manualConfigMapper.selectManualConfigList(manualConfig);
    }

    /**
     * 新增伴宠师手册配置
     * 
     * @param manualConfig 伴宠师手册配置
     * @return 结果
     */
    @Override
    public int insertManualConfig(ManualConfig manualConfig)
    {
        return manualConfigMapper.insertManualConfig(manualConfig);
    }

    /**
     * 修改伴宠师手册配置
     * 
     * @param manualConfig 伴宠师手册配置
     * @return 结果
     */
    @Override
    public int updateManualConfig(ManualConfig manualConfig)
    {
        return manualConfigMapper.updateManualConfig(manualConfig);
    }

    /**
     * 批量删除伴宠师手册配置
     * 
     * @param ids 需要删除的伴宠师手册配置主键
     * @return 结果
     */
    @Override
    public int deleteManualConfigByIds(Long[] ids)
    {
        return manualConfigMapper.deleteManualConfigByIds(ids);
    }

    /**
     * 删除伴宠师手册配置信息
     * 
     * @param id 伴宠师手册配置主键
     * @return 结果
     */
    @Override
    public int deleteManualConfigById(Long id)
    {
        return manualConfigMapper.deleteManualConfigById(id);
    }
}
