package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.OrdersRecordsMapper;
import com.ruoyi.catdog.domain.OrdersRecords;
import com.ruoyi.catdog.service.IOrdersRecordsService;

/**
 * 接单记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class OrdersRecordsServiceImpl implements IOrdersRecordsService 
{
    @Autowired
    private OrdersRecordsMapper ordersRecordsMapper;

    /**
     * 查询接单记录
     * 
     * @param ordersRecordsId 接单记录主键
     * @return 接单记录
     */
    @Override
    public OrdersRecords selectOrdersRecordsByOrdersRecordsId(Long ordersRecordsId)
    {
        return ordersRecordsMapper.selectOrdersRecordsByOrdersRecordsId(ordersRecordsId);
    }

    /**
     * 查询接单记录列表
     * 
     * @param ordersRecords 接单记录
     * @return 接单记录
     */
    @Override
    public List<OrdersRecords> selectOrdersRecordsList(OrdersRecords ordersRecords)
    {
        return ordersRecordsMapper.selectOrdersRecordsList(ordersRecords);
    }

    /**
     * 新增接单记录
     * 
     * @param ordersRecords 接单记录
     * @return 结果
     */
    @Override
    public int insertOrdersRecords(OrdersRecords ordersRecords)
    {
        return ordersRecordsMapper.insertOrdersRecords(ordersRecords);
    }

    /**
     * 修改接单记录
     * 
     * @param ordersRecords 接单记录
     * @return 结果
     */
    @Override
    public int updateOrdersRecords(OrdersRecords ordersRecords)
    {
        return ordersRecordsMapper.updateOrdersRecords(ordersRecords);
    }

    /**
     * 批量删除接单记录
     * 
     * @param ordersRecordsIds 需要删除的接单记录主键
     * @return 结果
     */
    @Override
    public int deleteOrdersRecordsByOrdersRecordsIds(Long[] ordersRecordsIds)
    {
        return ordersRecordsMapper.deleteOrdersRecordsByOrdersRecordsIds(ordersRecordsIds);
    }

    /**
     * 删除接单记录信息
     * 
     * @param ordersRecordsId 接单记录主键
     * @return 结果
     */
    @Override
    public int deleteOrdersRecordsByOrdersRecordsId(Long ordersRecordsId)
    {
        return ordersRecordsMapper.deleteOrdersRecordsByOrdersRecordsId(ordersRecordsId);
    }
}
