package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.PaperPromptConfigMapper;
import com.ruoyi.catdog.domain.PaperPromptConfig;
import com.ruoyi.catdog.service.IPaperPromptConfigService;

/**
 * 证件提示配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class PaperPromptConfigServiceImpl implements IPaperPromptConfigService 
{
    @Autowired
    private PaperPromptConfigMapper paperPromptConfigMapper;

    /**
     * 查询证件提示配置
     * 
     * @param id 证件提示配置主键
     * @return 证件提示配置
     */
    @Override
    public PaperPromptConfig selectPaperPromptConfigById(Long id)
    {
        return paperPromptConfigMapper.selectPaperPromptConfigById(id);
    }

    /**
     * 查询证件提示配置列表
     * 
     * @param paperPromptConfig 证件提示配置
     * @return 证件提示配置
     */
    @Override
    public List<PaperPromptConfig> selectPaperPromptConfigList(PaperPromptConfig paperPromptConfig)
    {
        return paperPromptConfigMapper.selectPaperPromptConfigList(paperPromptConfig);
    }

    /**
     * 新增证件提示配置
     * 
     * @param paperPromptConfig 证件提示配置
     * @return 结果
     */
    @Override
    public int insertPaperPromptConfig(PaperPromptConfig paperPromptConfig)
    {
        return paperPromptConfigMapper.insertPaperPromptConfig(paperPromptConfig);
    }

    /**
     * 修改证件提示配置
     * 
     * @param paperPromptConfig 证件提示配置
     * @return 结果
     */
    @Override
    public int updatePaperPromptConfig(PaperPromptConfig paperPromptConfig)
    {
        return paperPromptConfigMapper.updatePaperPromptConfig(paperPromptConfig);
    }

    /**
     * 批量删除证件提示配置
     * 
     * @param ids 需要删除的证件提示配置主键
     * @return 结果
     */
    @Override
    public int deletePaperPromptConfigByIds(Long[] ids)
    {
        return paperPromptConfigMapper.deletePaperPromptConfigByIds(ids);
    }

    /**
     * 删除证件提示配置信息
     * 
     * @param id 证件提示配置主键
     * @return 结果
     */
    @Override
    public int deletePaperPromptConfigById(Long id)
    {
        return paperPromptConfigMapper.deletePaperPromptConfigById(id);
    }
}
