package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.PartnerMapper;
import com.ruoyi.catdog.domain.Partner;
import com.ruoyi.catdog.service.IPartnerService;

/**
 * 合伙人Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class PartnerServiceImpl implements IPartnerService 
{
    @Autowired
    private PartnerMapper partnerMapper;

    /**
     * 查询合伙人
     * 
     * @param id 合伙人主键
     * @return 合伙人
     */
    @Override
    public Partner selectPartnerById(Long id)
    {
        return partnerMapper.selectPartnerById(id);
    }

    /**
     * 查询合伙人列表
     * 
     * @param partner 合伙人
     * @return 合伙人
     */
    @Override
    public List<Partner> selectPartnerList(Partner partner)
    {
        return partnerMapper.selectPartnerList(partner);
    }

    /**
     * 新增合伙人
     * 
     * @param partner 合伙人
     * @return 结果
     */
    @Override
    public int insertPartner(Partner partner)
    {
        return partnerMapper.insertPartner(partner);
    }

    /**
     * 修改合伙人
     * 
     * @param partner 合伙人
     * @return 结果
     */
    @Override
    public int updatePartner(Partner partner)
    {
        return partnerMapper.updatePartner(partner);
    }

    /**
     * 批量删除合伙人
     * 
     * @param ids 需要删除的合伙人主键
     * @return 结果
     */
    @Override
    public int deletePartnerByIds(Long[] ids)
    {
        return partnerMapper.deletePartnerByIds(ids);
    }

    /**
     * 删除合伙人信息
     * 
     * @param id 合伙人主键
     * @return 结果
     */
    @Override
    public int deletePartnerById(Long id)
    {
        return partnerMapper.deletePartnerById(id);
    }
}
