package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.PartnerbindingMapper;
import com.ruoyi.catdog.domain.Partnerbinding;
import com.ruoyi.catdog.service.IPartnerbindingService;

/**
 * 合伙人绑定Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class PartnerbindingServiceImpl implements IPartnerbindingService 
{
    @Autowired
    private PartnerbindingMapper partnerbindingMapper;

    /**
     * 查询合伙人绑定
     * 
     * @param id 合伙人绑定主键
     * @return 合伙人绑定
     */
    @Override
    public Partnerbinding selectPartnerbindingById(Long id)
    {
        return partnerbindingMapper.selectPartnerbindingById(id);
    }

    /**
     * 查询合伙人绑定列表
     * 
     * @param partnerbinding 合伙人绑定
     * @return 合伙人绑定
     */
    @Override
    public List<Partnerbinding> selectPartnerbindingList(Partnerbinding partnerbinding)
    {
        return partnerbindingMapper.selectPartnerbindingList(partnerbinding);
    }

    /**
     * 新增合伙人绑定
     * 
     * @param partnerbinding 合伙人绑定
     * @return 结果
     */
    @Override
    public int insertPartnerbinding(Partnerbinding partnerbinding)
    {
        return partnerbindingMapper.insertPartnerbinding(partnerbinding);
    }

    /**
     * 修改合伙人绑定
     * 
     * @param partnerbinding 合伙人绑定
     * @return 结果
     */
    @Override
    public int updatePartnerbinding(Partnerbinding partnerbinding)
    {
        return partnerbindingMapper.updatePartnerbinding(partnerbinding);
    }

    /**
     * 批量删除合伙人绑定
     * 
     * @param ids 需要删除的合伙人绑定主键
     * @return 结果
     */
    @Override
    public int deletePartnerbindingByIds(Long[] ids)
    {
        return partnerbindingMapper.deletePartnerbindingByIds(ids);
    }

    /**
     * 删除合伙人绑定信息
     * 
     * @param id 合伙人绑定主键
     * @return 结果
     */
    @Override
    public int deletePartnerbindingById(Long id)
    {
        return partnerbindingMapper.deletePartnerbindingById(id);
    }
}
