package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.PartnerdataMapper;
import com.ruoyi.catdog.domain.Partnerdata;
import com.ruoyi.catdog.service.IPartnerdataService;

/**
 * 合伙人数据Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class PartnerdataServiceImpl implements IPartnerdataService 
{
    @Autowired
    private PartnerdataMapper partnerdataMapper;

    /**
     * 查询合伙人数据
     * 
     * @param id 合伙人数据主键
     * @return 合伙人数据
     */
    @Override
    public Partnerdata selectPartnerdataById(Long id)
    {
        return partnerdataMapper.selectPartnerdataById(id);
    }

    /**
     * 查询合伙人数据列表
     * 
     * @param partnerdata 合伙人数据
     * @return 合伙人数据
     */
    @Override
    public List<Partnerdata> selectPartnerdataList(Partnerdata partnerdata)
    {
        return partnerdataMapper.selectPartnerdataList(partnerdata);
    }

    /**
     * 新增合伙人数据
     * 
     * @param partnerdata 合伙人数据
     * @return 结果
     */
    @Override
    public int insertPartnerdata(Partnerdata partnerdata)
    {
        return partnerdataMapper.insertPartnerdata(partnerdata);
    }

    /**
     * 修改合伙人数据
     * 
     * @param partnerdata 合伙人数据
     * @return 结果
     */
    @Override
    public int updatePartnerdata(Partnerdata partnerdata)
    {
        return partnerdataMapper.updatePartnerdata(partnerdata);
    }

    /**
     * 批量删除合伙人数据
     * 
     * @param ids 需要删除的合伙人数据主键
     * @return 结果
     */
    @Override
    public int deletePartnerdataByIds(Long[] ids)
    {
        return partnerdataMapper.deletePartnerdataByIds(ids);
    }

    /**
     * 删除合伙人数据信息
     * 
     * @param id 合伙人数据主键
     * @return 结果
     */
    @Override
    public int deletePartnerdataById(Long id)
    {
        return partnerdataMapper.deletePartnerdataById(id);
    }
}
