package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.PartnerincomeMapper;
import com.ruoyi.catdog.domain.Partnerincome;
import com.ruoyi.catdog.service.IPartnerincomeService;

/**
 * 合伙人等级记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class PartnerincomeServiceImpl implements IPartnerincomeService 
{
    @Autowired
    private PartnerincomeMapper partnerincomeMapper;

    /**
     * 查询合伙人等级记录
     * 
     * @param id 合伙人等级记录主键
     * @return 合伙人等级记录
     */
    @Override
    public Partnerincome selectPartnerincomeById(Long id)
    {
        return partnerincomeMapper.selectPartnerincomeById(id);
    }

    /**
     * 查询合伙人等级记录列表
     * 
     * @param partnerincome 合伙人等级记录
     * @return 合伙人等级记录
     */
    @Override
    public List<Partnerincome> selectPartnerincomeList(Partnerincome partnerincome)
    {
        return partnerincomeMapper.selectPartnerincomeList(partnerincome);
    }

    /**
     * 新增合伙人等级记录
     * 
     * @param partnerincome 合伙人等级记录
     * @return 结果
     */
    @Override
    public int insertPartnerincome(Partnerincome partnerincome)
    {
        return partnerincomeMapper.insertPartnerincome(partnerincome);
    }

    /**
     * 修改合伙人等级记录
     * 
     * @param partnerincome 合伙人等级记录
     * @return 结果
     */
    @Override
    public int updatePartnerincome(Partnerincome partnerincome)
    {
        return partnerincomeMapper.updatePartnerincome(partnerincome);
    }

    /**
     * 批量删除合伙人等级记录
     * 
     * @param ids 需要删除的合伙人等级记录主键
     * @return 结果
     */
    @Override
    public int deletePartnerincomeByIds(Long[] ids)
    {
        return partnerincomeMapper.deletePartnerincomeByIds(ids);
    }

    /**
     * 删除合伙人等级记录信息
     * 
     * @param id 合伙人等级记录主键
     * @return 结果
     */
    @Override
    public int deletePartnerincomeById(Long id)
    {
        return partnerincomeMapper.deletePartnerincomeById(id);
    }
}
