package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.PetPersonalityConfigMapper;
import com.ruoyi.catdog.domain.PetPersonalityConfig;
import com.ruoyi.catdog.service.IPetPersonalityConfigService;

/**
 * 宠物性格快捷选择配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class PetPersonalityConfigServiceImpl implements IPetPersonalityConfigService 
{
    @Autowired
    private PetPersonalityConfigMapper petPersonalityConfigMapper;

    /**
     * 查询宠物性格快捷选择配置
     * 
     * @param id 宠物性格快捷选择配置主键
     * @return 宠物性格快捷选择配置
     */
    @Override
    public PetPersonalityConfig selectPetPersonalityConfigById(Long id)
    {
        return petPersonalityConfigMapper.selectPetPersonalityConfigById(id);
    }

    /**
     * 查询宠物性格快捷选择配置列表
     * 
     * @param petPersonalityConfig 宠物性格快捷选择配置
     * @return 宠物性格快捷选择配置
     */
    @Override
    public List<PetPersonalityConfig> selectPetPersonalityConfigList(PetPersonalityConfig petPersonalityConfig)
    {
        return petPersonalityConfigMapper.selectPetPersonalityConfigList(petPersonalityConfig);
    }

    /**
     * 新增宠物性格快捷选择配置
     * 
     * @param petPersonalityConfig 宠物性格快捷选择配置
     * @return 结果
     */
    @Override
    public int insertPetPersonalityConfig(PetPersonalityConfig petPersonalityConfig)
    {
        return petPersonalityConfigMapper.insertPetPersonalityConfig(petPersonalityConfig);
    }

    /**
     * 修改宠物性格快捷选择配置
     * 
     * @param petPersonalityConfig 宠物性格快捷选择配置
     * @return 结果
     */
    @Override
    public int updatePetPersonalityConfig(PetPersonalityConfig petPersonalityConfig)
    {
        return petPersonalityConfigMapper.updatePetPersonalityConfig(petPersonalityConfig);
    }

    /**
     * 批量删除宠物性格快捷选择配置
     * 
     * @param ids 需要删除的宠物性格快捷选择配置主键
     * @return 结果
     */
    @Override
    public int deletePetPersonalityConfigByIds(Long[] ids)
    {
        return petPersonalityConfigMapper.deletePetPersonalityConfigByIds(ids);
    }

    /**
     * 删除宠物性格快捷选择配置信息
     * 
     * @param id 宠物性格快捷选择配置主键
     * @return 结果
     */
    @Override
    public int deletePetPersonalityConfigById(Long id)
    {
        return petPersonalityConfigMapper.deletePetPersonalityConfigById(id);
    }
}
