package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.PetProfileConfigMapper;
import com.ruoyi.catdog.domain.PetProfileConfig;
import com.ruoyi.catdog.service.IPetProfileConfigService;

/**
 * 宠物档案配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class PetProfileConfigServiceImpl implements IPetProfileConfigService 
{
    @Autowired
    private PetProfileConfigMapper petProfileConfigMapper;

    /**
     * 查询宠物档案配置
     * 
     * @param id 宠物档案配置主键
     * @return 宠物档案配置
     */
    @Override
    public PetProfileConfig selectPetProfileConfigById(Long id)
    {
        return petProfileConfigMapper.selectPetProfileConfigById(id);
    }

    /**
     * 查询宠物档案配置列表
     * 
     * @param petProfileConfig 宠物档案配置
     * @return 宠物档案配置
     */
    @Override
    public List<PetProfileConfig> selectPetProfileConfigList(PetProfileConfig petProfileConfig)
    {
        return petProfileConfigMapper.selectPetProfileConfigList(petProfileConfig);
    }

    /**
     * 新增宠物档案配置
     * 
     * @param petProfileConfig 宠物档案配置
     * @return 结果
     */
    @Override
    public int insertPetProfileConfig(PetProfileConfig petProfileConfig)
    {
        return petProfileConfigMapper.insertPetProfileConfig(petProfileConfig);
    }

    /**
     * 修改宠物档案配置
     * 
     * @param petProfileConfig 宠物档案配置
     * @return 结果
     */
    @Override
    public int updatePetProfileConfig(PetProfileConfig petProfileConfig)
    {
        return petProfileConfigMapper.updatePetProfileConfig(petProfileConfig);
    }

    /**
     * 批量删除宠物档案配置
     * 
     * @param ids 需要删除的宠物档案配置主键
     * @return 结果
     */
    @Override
    public int deletePetProfileConfigByIds(Long[] ids)
    {
        return petProfileConfigMapper.deletePetProfileConfigByIds(ids);
    }

    /**
     * 删除宠物档案配置信息
     * 
     * @param id 宠物档案配置主键
     * @return 结果
     */
    @Override
    public int deletePetProfileConfigById(Long id)
    {
        return petProfileConfigMapper.deletePetProfileConfigById(id);
    }
}
