package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.PetTeacharCheckMapper;
import com.ruoyi.catdog.domain.PetTeacharCheck;
import com.ruoyi.catdog.service.IPetTeacharCheckService;

/**
 * 打卡Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class PetTeacharCheckServiceImpl implements IPetTeacharCheckService 
{
    @Autowired
    private PetTeacharCheckMapper petTeacharCheckMapper;

    /**
     * 查询打卡
     * 
     * @param checkId 打卡主键
     * @return 打卡
     */
    @Override
    public PetTeacharCheck selectPetTeacharCheckByCheckId(Long checkId)
    {
        return petTeacharCheckMapper.selectPetTeacharCheckByCheckId(checkId);
    }

    /**
     * 查询打卡列表
     * 
     * @param petTeacharCheck 打卡
     * @return 打卡
     */
    @Override
    public List<PetTeacharCheck> selectPetTeacharCheckList(PetTeacharCheck petTeacharCheck)
    {
        return petTeacharCheckMapper.selectPetTeacharCheckList(petTeacharCheck);
    }

    /**
     * 新增打卡
     * 
     * @param petTeacharCheck 打卡
     * @return 结果
     */
    @Override
    public int insertPetTeacharCheck(PetTeacharCheck petTeacharCheck)
    {
        return petTeacharCheckMapper.insertPetTeacharCheck(petTeacharCheck);
    }

    /**
     * 修改打卡
     * 
     * @param petTeacharCheck 打卡
     * @return 结果
     */
    @Override
    public int updatePetTeacharCheck(PetTeacharCheck petTeacharCheck)
    {
        return petTeacharCheckMapper.updatePetTeacharCheck(petTeacharCheck);
    }

    /**
     * 批量删除打卡
     * 
     * @param checkIds 需要删除的打卡主键
     * @return 结果
     */
    @Override
    public int deletePetTeacharCheckByCheckIds(Long[] checkIds)
    {
        return petTeacharCheckMapper.deletePetTeacharCheckByCheckIds(checkIds);
    }

    /**
     * 删除打卡信息
     * 
     * @param checkId 打卡主键
     * @return 结果
     */
    @Override
    public int deletePetTeacharCheckByCheckId(Long checkId)
    {
        return petTeacharCheckMapper.deletePetTeacharCheckByCheckId(checkId);
    }
}
