package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.PetTeacherGradeMapper;
import com.ruoyi.catdog.domain.PetTeacherGrade;
import com.ruoyi.catdog.service.IPetTeacherGradeService;

/**
 * 伴宠师等级配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class PetTeacherGradeServiceImpl implements IPetTeacherGradeService 
{
    @Autowired
    private PetTeacherGradeMapper petTeacherGradeMapper;

    /**
     * 查询伴宠师等级配置
     * 
     * @param gradeId 伴宠师等级配置主键
     * @return 伴宠师等级配置
     */
    @Override
    public PetTeacherGrade selectPetTeacherGradeByGradeId(String gradeId)
    {
        return petTeacherGradeMapper.selectPetTeacherGradeByGradeId(gradeId);
    }

    /**
     * 查询伴宠师等级配置列表
     * 
     * @param petTeacherGrade 伴宠师等级配置
     * @return 伴宠师等级配置
     */
    @Override
    public List<PetTeacherGrade> selectPetTeacherGradeList(PetTeacherGrade petTeacherGrade)
    {
        return petTeacherGradeMapper.selectPetTeacherGradeList(petTeacherGrade);
    }

    /**
     * 新增伴宠师等级配置
     * 
     * @param petTeacherGrade 伴宠师等级配置
     * @return 结果
     */
    @Override
    public int insertPetTeacherGrade(PetTeacherGrade petTeacherGrade)
    {
        return petTeacherGradeMapper.insertPetTeacherGrade(petTeacherGrade);
    }

    /**
     * 修改伴宠师等级配置
     * 
     * @param petTeacherGrade 伴宠师等级配置
     * @return 结果
     */
    @Override
    public int updatePetTeacherGrade(PetTeacherGrade petTeacherGrade)
    {
        return petTeacherGradeMapper.updatePetTeacherGrade(petTeacherGrade);
    }

    /**
     * 批量删除伴宠师等级配置
     * 
     * @param gradeIds 需要删除的伴宠师等级配置主键
     * @return 结果
     */
    @Override
    public int deletePetTeacherGradeByGradeIds(String[] gradeIds)
    {
        return petTeacherGradeMapper.deletePetTeacherGradeByGradeIds(gradeIds);
    }

    /**
     * 删除伴宠师等级配置信息
     * 
     * @param gradeId 伴宠师等级配置主键
     * @return 结果
     */
    @Override
    public int deletePetTeacherGradeByGradeId(String gradeId)
    {
        return petTeacherGradeMapper.deletePetTeacherGradeByGradeId(gradeId);
    }
}
