package com.ruoyi.catdog.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.PetTeacherInfoMapper;
import com.ruoyi.catdog.domain.PetTeacherInfo;
import com.ruoyi.catdog.service.IPetTeacherInfoService;

/**
 * 伴宠师信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class PetTeacherInfoServiceImpl implements IPetTeacherInfoService 
{
    @Autowired
    private PetTeacherInfoMapper petTeacherInfoMapper;

    /**
     * 查询伴宠师信息
     * 
     * @param petTeacherId 伴宠师信息主键
     * @return 伴宠师信息
     */
    @Override
    public PetTeacherInfo selectPetTeacherInfoByPetTeacherId(Long petTeacherId)
    {
        return petTeacherInfoMapper.selectPetTeacherInfoByPetTeacherId(petTeacherId);
    }

    /**
     * 查询伴宠师信息列表
     * 
     * @param petTeacherInfo 伴宠师信息
     * @return 伴宠师信息
     */
    @Override
    public List<PetTeacherInfo> selectPetTeacherInfoList(PetTeacherInfo petTeacherInfo)
    {
        return petTeacherInfoMapper.selectPetTeacherInfoList(petTeacherInfo);
    }

    /**
     * 新增伴宠师信息
     * 
     * @param petTeacherInfo 伴宠师信息
     * @return 结果
     */
    @Override
    public int insertPetTeacherInfo(PetTeacherInfo petTeacherInfo)
    {
        return petTeacherInfoMapper.insertPetTeacherInfo(petTeacherInfo);
    }

    /**
     * 修改伴宠师信息
     * 
     * @param petTeacherInfo 伴宠师信息
     * @return 结果
     */
    @Override
    public int updatePetTeacherInfo(PetTeacherInfo petTeacherInfo)
    {
        return petTeacherInfoMapper.updatePetTeacherInfo(petTeacherInfo);
    }

    /**
     * 批量删除伴宠师信息
     * 
     * @param petTeacherIds 需要删除的伴宠师信息主键
     * @return 结果
     */
    @Override
    public int deletePetTeacherInfoByPetTeacherIds(Long[] petTeacherIds)
    {
        return petTeacherInfoMapper.deletePetTeacherInfoByPetTeacherIds(petTeacherIds);
    }

    /**
     * 删除伴宠师信息信息
     * 
     * @param petTeacherId 伴宠师信息主键
     * @return 结果
     */
    @Override
    public int deletePetTeacherInfoByPetTeacherId(Long petTeacherId)
    {
        return petTeacherInfoMapper.deletePetTeacherInfoByPetTeacherId(petTeacherId);
    }
}
