package com.ruoyi.catdog.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.catdog.mapper.PetsMapper;
import com.ruoyi.catdog.domain.Pets;
import com.ruoyi.catdog.service.IPetsService;

/**
 * 宠物信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class PetsServiceImpl implements IPetsService 
{
    @Autowired
    private PetsMapper petsMapper;

    /**
     * 查询宠物信息
     * 
     * @param petId 宠物信息主键
     * @return 宠物信息
     */
    @Override
    public Pets selectPetsByPetId(Long petId)
    {
        return petsMapper.selectPetsByPetId(petId);
    }

    /**
     * 查询宠物信息列表
     * 
     * @param pets 宠物信息
     * @return 宠物信息
     */
    @Override
    public List<Pets> selectPetsList(Pets pets)
    {
        return petsMapper.selectPetsList(pets);
    }

    /**
     * 新增宠物信息
     * 
     * @param pets 宠物信息
     * @return 结果
     */
    @Override
    public int insertPets(Pets pets)
    {
        pets.setCreateTime(DateUtils.getNowDate());
        return petsMapper.insertPets(pets);
    }

    /**
     * 修改宠物信息
     * 
     * @param pets 宠物信息
     * @return 结果
     */
    @Override
    public int updatePets(Pets pets)
    {
        pets.setUpdateTime(DateUtils.getNowDate());
        return petsMapper.updatePets(pets);
    }

    /**
     * 批量删除宠物信息
     * 
     * @param petIds 需要删除的宠物信息主键
     * @return 结果
     */
    @Override
    public int deletePetsByPetIds(Long[] petIds)
    {
        return petsMapper.deletePetsByPetIds(petIds);
    }

    /**
     * 删除宠物信息信息
     * 
     * @param petId 宠物信息主键
     * @return 结果
     */
    @Override
    public int deletePetsByPetId(Long petId)
    {
        return petsMapper.deletePetsByPetId(petId);
    }
}
