package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 伴宠师认证对象 certification
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public class Certification extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 认证编号 */
    private Long certificationId;

    /** 认证年龄 */
    @Excel(name = "认证年龄")
    private Long certificationAge;

    /** 认证养宠经验 */
    @Excel(name = "认证养宠经验")
    private Long certificationExperience;

    /** 认证身份证 */
    @Excel(name = "认证身份证")
    private String certificationIdentityCard;

    /** 认证是否有营业执照 */
    @Excel(name = "认证是否有营业执照")
    private Long certificationLicenseId;

    /** 认证名字 */
    @Excel(name = "认证名字")
    private String certificationName;

    /** 伴宠师状态，0为未认证，1为考核中，2为考核通过，3为已认证 */
    @Excel(name = "伴宠师状态，0为未认证，1为考核中，2为考核通过，3为已认证")
    private Integer certificationPass;

    /** 认证宠物类型 */
    @Excel(name = "认证宠物类型")
    private Long certificationPetTypeId;

    /** 认证性别 */
    @Excel(name = "认证性别")
    private String certificationSex;

    /** 认证手机号 */
    @Excel(name = "认证手机号")
    private String certificationvPhone;

    /** 逻辑删除标识 */
    private Integer delFlag;

    /** 备注 */
    @Excel(name = "备注")
    private String reamk;

    /** 伴宠师编号 */
    @Excel(name = "伴宠师编号")
    private Long petTeacherId;

    public void setCertificationId(Long certificationId) 
    {
        this.certificationId = certificationId;
    }

    public Long getCertificationId() 
    {
        return certificationId;
    }
    public void setCertificationAge(Long certificationAge) 
    {
        this.certificationAge = certificationAge;
    }

    public Long getCertificationAge() 
    {
        return certificationAge;
    }
    public void setCertificationExperience(Long certificationExperience) 
    {
        this.certificationExperience = certificationExperience;
    }

    public Long getCertificationExperience() 
    {
        return certificationExperience;
    }
    public void setCertificationIdentityCard(String certificationIdentityCard) 
    {
        this.certificationIdentityCard = certificationIdentityCard;
    }

    public String getCertificationIdentityCard() 
    {
        return certificationIdentityCard;
    }
    public void setCertificationLicenseId(Long certificationLicenseId) 
    {
        this.certificationLicenseId = certificationLicenseId;
    }

    public Long getCertificationLicenseId() 
    {
        return certificationLicenseId;
    }
    public void setCertificationName(String certificationName) 
    {
        this.certificationName = certificationName;
    }

    public String getCertificationName() 
    {
        return certificationName;
    }
    public void setCertificationPass(Integer certificationPass) 
    {
        this.certificationPass = certificationPass;
    }

    public Integer getCertificationPass() 
    {
        return certificationPass;
    }
    public void setCertificationPetTypeId(Long certificationPetTypeId) 
    {
        this.certificationPetTypeId = certificationPetTypeId;
    }

    public Long getCertificationPetTypeId() 
    {
        return certificationPetTypeId;
    }
    public void setCertificationSex(String certificationSex) 
    {
        this.certificationSex = certificationSex;
    }

    public String getCertificationSex() 
    {
        return certificationSex;
    }
    public void setCertificationvPhone(String certificationvPhone) 
    {
        this.certificationvPhone = certificationvPhone;
    }

    public String getCertificationvPhone() 
    {
        return certificationvPhone;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setReamk(String reamk) 
    {
        this.reamk = reamk;
    }

    public String getReamk() 
    {
        return reamk;
    }
    public void setPetTeacherId(Long petTeacherId) 
    {
        this.petTeacherId = petTeacherId;
    }

    public Long getPetTeacherId() 
    {
        return petTeacherId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("certificationId", getCertificationId())
            .append("certificationAge", getCertificationAge())
            .append("certificationExperience", getCertificationExperience())
            .append("certificationIdentityCard", getCertificationIdentityCard())
            .append("certificationLicenseId", getCertificationLicenseId())
            .append("certificationName", getCertificationName())
            .append("certificationPass", getCertificationPass())
            .append("certificationPetTypeId", getCertificationPetTypeId())
            .append("certificationSex", getCertificationSex())
            .append("certificationvPhone", getCertificationvPhone())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("delFlag", getDelFlag())
            .append("reamk", getReamk())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("petTeacherId", getPetTeacherId())
            .toString();
    }
}
