package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.AdditionalServices;

/**
 * 附加服务Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface AdditionalServicesMapper 
{
    /**
     * 查询附加服务
     * 
     * @param additionalServicesId 附加服务主键
     * @return 附加服务
     */
    public AdditionalServices selectAdditionalServicesByAdditionalServicesId(Long additionalServicesId);

    /**
     * 查询附加服务列表
     * 
     * @param additionalServices 附加服务
     * @return 附加服务集合
     */
    public List<AdditionalServices> selectAdditionalServicesList(AdditionalServices additionalServices);

    /**
     * 新增附加服务
     * 
     * @param additionalServices 附加服务
     * @return 结果
     */
    public int insertAdditionalServices(AdditionalServices additionalServices);

    /**
     * 修改附加服务
     * 
     * @param additionalServices 附加服务
     * @return 结果
     */
    public int updateAdditionalServices(AdditionalServices additionalServices);

    /**
     * 删除附加服务
     * 
     * @param additionalServicesId 附加服务主键
     * @return 结果
     */
    public int deleteAdditionalServicesByAdditionalServicesId(Long additionalServicesId);

    /**
     * 批量删除附加服务
     * 
     * @param additionalServicesIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAdditionalServicesByAdditionalServicesIds(Long[] additionalServicesIds);
}
