package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.AdditionalServicesType;

/**
 * 附加服务类型Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface AdditionalServicesTypeMapper 
{
    /**
     * 查询附加服务类型
     * 
     * @param additionalServicesTypeId 附加服务类型主键
     * @return 附加服务类型
     */
    public AdditionalServicesType selectAdditionalServicesTypeByAdditionalServicesTypeId(Long additionalServicesTypeId);

    /**
     * 查询附加服务类型列表
     * 
     * @param additionalServicesType 附加服务类型
     * @return 附加服务类型集合
     */
    public List<AdditionalServicesType> selectAdditionalServicesTypeList(AdditionalServicesType additionalServicesType);

    /**
     * 新增附加服务类型
     * 
     * @param additionalServicesType 附加服务类型
     * @return 结果
     */
    public int insertAdditionalServicesType(AdditionalServicesType additionalServicesType);

    /**
     * 修改附加服务类型
     * 
     * @param additionalServicesType 附加服务类型
     * @return 结果
     */
    public int updateAdditionalServicesType(AdditionalServicesType additionalServicesType);

    /**
     * 删除附加服务类型
     * 
     * @param additionalServicesTypeId 附加服务类型主键
     * @return 结果
     */
    public int deleteAdditionalServicesTypeByAdditionalServicesTypeId(Long additionalServicesTypeId);

    /**
     * 批量删除附加服务类型
     * 
     * @param additionalServicesTypeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAdditionalServicesTypeByAdditionalServicesTypeIds(Long[] additionalServicesTypeIds);
}
