package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.Certification;

/**
 * 伴宠师认证Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface CertificationMapper 
{
    /**
     * 查询伴宠师认证
     * 
     * @param certificationId 伴宠师认证主键
     * @return 伴宠师认证
     */
    public Certification selectCertificationByCertificationId(Long certificationId);

    /**
     * 查询伴宠师认证列表
     * 
     * @param certification 伴宠师认证
     * @return 伴宠师认证集合
     */
    public List<Certification> selectCertificationList(Certification certification);

    /**
     * 新增伴宠师认证
     * 
     * @param certification 伴宠师认证
     * @return 结果
     */
    public int insertCertification(Certification certification);

    /**
     * 修改伴宠师认证
     * 
     * @param certification 伴宠师认证
     * @return 结果
     */
    public int updateCertification(Certification certification);

    /**
     * 删除伴宠师认证
     * 
     * @param certificationId 伴宠师认证主键
     * @return 结果
     */
    public int deleteCertificationByCertificationId(Long certificationId);

    /**
     * 批量删除伴宠师认证
     * 
     * @param certificationIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCertificationByCertificationIds(Long[] certificationIds);
}
