package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.CheckImageType;

/**
 * 打卡图片类型Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface CheckImageTypeMapper 
{
    /**
     * 查询打卡图片类型
     * 
     * @param checkImageTypeId 打卡图片类型主键
     * @return 打卡图片类型
     */
    public CheckImageType selectCheckImageTypeByCheckImageTypeId(Long checkImageTypeId);

    /**
     * 查询打卡图片类型列表
     * 
     * @param checkImageType 打卡图片类型
     * @return 打卡图片类型集合
     */
    public List<CheckImageType> selectCheckImageTypeList(CheckImageType checkImageType);

    /**
     * 新增打卡图片类型
     * 
     * @param checkImageType 打卡图片类型
     * @return 结果
     */
    public int insertCheckImageType(CheckImageType checkImageType);

    /**
     * 修改打卡图片类型
     * 
     * @param checkImageType 打卡图片类型
     * @return 结果
     */
    public int updateCheckImageType(CheckImageType checkImageType);

    /**
     * 删除打卡图片类型
     * 
     * @param checkImageTypeId 打卡图片类型主键
     * @return 结果
     */
    public int deleteCheckImageTypeByCheckImageTypeId(Long checkImageTypeId);

    /**
     * 批量删除打卡图片类型
     * 
     * @param checkImageTypeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCheckImageTypeByCheckImageTypeIds(Long[] checkImageTypeIds);
}
