package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.Tool;

/**
 * 工具Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface ToolMapper 
{
    /**
     * 查询工具
     * 
     * @param toolId 工具主键
     * @return 工具
     */
    public Tool selectToolByToolId(Long toolId);

    /**
     * 查询工具列表
     * 
     * @param tool 工具
     * @return 工具集合
     */
    public List<Tool> selectToolList(Tool tool);

    /**
     * 新增工具
     * 
     * @param tool 工具
     * @return 结果
     */
    public int insertTool(Tool tool);

    /**
     * 修改工具
     * 
     * @param tool 工具
     * @return 结果
     */
    public int updateTool(Tool tool);

    /**
     * 删除工具
     * 
     * @param toolId 工具主键
     * @return 结果
     */
    public int deleteToolByToolId(Long toolId);

    /**
     * 批量删除工具
     * 
     * @param toolIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteToolByToolIds(Long[] toolIds);
}
