package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.UserBindingConfig;

/**
 * 用户绑定页面配置Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface UserBindingConfigMapper 
{
    /**
     * 查询用户绑定页面配置
     * 
     * @param id 用户绑定页面配置主键
     * @return 用户绑定页面配置
     */
    public UserBindingConfig selectUserBindingConfigById(Long id);

    /**
     * 查询用户绑定页面配置列表
     * 
     * @param userBindingConfig 用户绑定页面配置
     * @return 用户绑定页面配置集合
     */
    public List<UserBindingConfig> selectUserBindingConfigList(UserBindingConfig userBindingConfig);

    /**
     * 新增用户绑定页面配置
     * 
     * @param userBindingConfig 用户绑定页面配置
     * @return 结果
     */
    public int insertUserBindingConfig(UserBindingConfig userBindingConfig);

    /**
     * 修改用户绑定页面配置
     * 
     * @param userBindingConfig 用户绑定页面配置
     * @return 结果
     */
    public int updateUserBindingConfig(UserBindingConfig userBindingConfig);

    /**
     * 删除用户绑定页面配置
     * 
     * @param id 用户绑定页面配置主键
     * @return 结果
     */
    public int deleteUserBindingConfigById(Long id);

    /**
     * 批量删除用户绑定页面配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUserBindingConfigByIds(Long[] ids);
}
