package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.AddValueServiceRecords;

/**
 * 增值服务记录Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IAddValueServiceRecordsService 
{
    /**
     * 查询增值服务记录
     * 
     * @param addValueServiceRecordsId 增值服务记录主键
     * @return 增值服务记录
     */
    public AddValueServiceRecords selectAddValueServiceRecordsByAddValueServiceRecordsId(Long addValueServiceRecordsId);

    /**
     * 查询增值服务记录列表
     * 
     * @param addValueServiceRecords 增值服务记录
     * @return 增值服务记录集合
     */
    public List<AddValueServiceRecords> selectAddValueServiceRecordsList(AddValueServiceRecords addValueServiceRecords);

    /**
     * 新增增值服务记录
     * 
     * @param addValueServiceRecords 增值服务记录
     * @return 结果
     */
    public int insertAddValueServiceRecords(AddValueServiceRecords addValueServiceRecords);

    /**
     * 修改增值服务记录
     * 
     * @param addValueServiceRecords 增值服务记录
     * @return 结果
     */
    public int updateAddValueServiceRecords(AddValueServiceRecords addValueServiceRecords);

    /**
     * 批量删除增值服务记录
     * 
     * @param addValueServiceRecordsIds 需要删除的增值服务记录主键集合
     * @return 结果
     */
    public int deleteAddValueServiceRecordsByAddValueServiceRecordsIds(Long[] addValueServiceRecordsIds);

    /**
     * 删除增值服务记录信息
     * 
     * @param addValueServiceRecordsId 增值服务记录主键
     * @return 结果
     */
    public int deleteAddValueServiceRecordsByAddValueServiceRecordsId(Long addValueServiceRecordsId);
}
