package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.AddressConfig;

/**
 * 接单地址配置Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IAddressConfigService 
{
    /**
     * 查询接单地址配置
     * 
     * @param id 接单地址配置主键
     * @return 接单地址配置
     */
    public AddressConfig selectAddressConfigById(Long id);

    /**
     * 查询接单地址配置列表
     * 
     * @param addressConfig 接单地址配置
     * @return 接单地址配置集合
     */
    public List<AddressConfig> selectAddressConfigList(AddressConfig addressConfig);

    /**
     * 新增接单地址配置
     * 
     * @param addressConfig 接单地址配置
     * @return 结果
     */
    public int insertAddressConfig(AddressConfig addressConfig);

    /**
     * 修改接单地址配置
     * 
     * @param addressConfig 接单地址配置
     * @return 结果
     */
    public int updateAddressConfig(AddressConfig addressConfig);

    /**
     * 批量删除接单地址配置
     * 
     * @param ids 需要删除的接单地址配置主键集合
     * @return 结果
     */
    public int deleteAddressConfigByIds(Long[] ids);

    /**
     * 删除接单地址配置信息
     * 
     * @param id 接单地址配置主键
     * @return 结果
     */
    public int deleteAddressConfigById(Long id);
}
