package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Addresss;

/**
 * 地址管理Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IAddresssService
{
    /**
     * 查询地址管理
     * 
     * @param addressId 地址管理主键
     * @return 地址管理
     */
    public Addresss selectAddressByAddressId(Long addressId);

    /**
     * 查询地址管理列表
     * 
     * @param address 地址管理
     * @return 地址管理集合
     */
    public List<Addresss> selectAddressList(Addresss address);

    /**
     * 新增地址管理
     * 
     * @param address 地址管理
     * @return 结果
     */
    public int insertAddress(Addresss address);

    /**
     * 修改地址管理
     * 
     * @param address 地址管理
     * @return 结果
     */
    public int updateAddress(Addresss address);

    /**
     * 批量删除地址管理
     * 
     * @param addressIds 需要删除的地址管理主键集合
     * @return 结果
     */
    public int deleteAddressByAddressIds(Long[] addressIds);

    /**
     * 删除地址管理信息
     * 
     * @param addressId 地址管理主键
     * @return 结果
     */
    public int deleteAddressByAddressId(Long addressId);
}
