package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ApplyRefundConfig;

/**
 * 保证金退还配置Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IApplyRefundConfigService 
{
    /**
     * 查询保证金退还配置
     * 
     * @param id 保证金退还配置主键
     * @return 保证金退还配置
     */
    public ApplyRefundConfig selectApplyRefundConfigById(Long id);

    /**
     * 查询保证金退还配置列表
     * 
     * @param applyRefundConfig 保证金退还配置
     * @return 保证金退还配置集合
     */
    public List<ApplyRefundConfig> selectApplyRefundConfigList(ApplyRefundConfig applyRefundConfig);

    /**
     * 新增保证金退还配置
     * 
     * @param applyRefundConfig 保证金退还配置
     * @return 结果
     */
    public int insertApplyRefundConfig(ApplyRefundConfig applyRefundConfig);

    /**
     * 修改保证金退还配置
     * 
     * @param applyRefundConfig 保证金退还配置
     * @return 结果
     */
    public int updateApplyRefundConfig(ApplyRefundConfig applyRefundConfig);

    /**
     * 批量删除保证金退还配置
     * 
     * @param ids 需要删除的保证金退还配置主键集合
     * @return 结果
     */
    public int deleteApplyRefundConfigByIds(Long[] ids);

    /**
     * 删除保证金退还配置信息
     * 
     * @param id 保证金退还配置主键
     * @return 结果
     */
    public int deleteApplyRefundConfigById(Long id);
}
