package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.AppraisalRecords;

/**
 * 选择题记录Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IAppraisalRecordsService 
{
    /**
     * 查询选择题记录
     * 
     * @param appraisalRecordsId 选择题记录主键
     * @return 选择题记录
     */
    public AppraisalRecords selectAppraisalRecordsByAppraisalRecordsId(Long appraisalRecordsId);

    /**
     * 查询选择题记录列表
     * 
     * @param appraisalRecords 选择题记录
     * @return 选择题记录集合
     */
    public List<AppraisalRecords> selectAppraisalRecordsList(AppraisalRecords appraisalRecords);

    /**
     * 新增选择题记录
     * 
     * @param appraisalRecords 选择题记录
     * @return 结果
     */
    public int insertAppraisalRecords(AppraisalRecords appraisalRecords);

    /**
     * 修改选择题记录
     * 
     * @param appraisalRecords 选择题记录
     * @return 结果
     */
    public int updateAppraisalRecords(AppraisalRecords appraisalRecords);

    /**
     * 批量删除选择题记录
     * 
     * @param appraisalRecordsIds 需要删除的选择题记录主键集合
     * @return 结果
     */
    public int deleteAppraisalRecordsByAppraisalRecordsIds(Long[] appraisalRecordsIds);

    /**
     * 删除选择题记录信息
     * 
     * @param appraisalRecordsId 选择题记录主键
     * @return 结果
     */
    public int deleteAppraisalRecordsByAppraisalRecordsId(Long appraisalRecordsId);
}
