package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.BasicServices;

/**
 * 基础服务Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IBasicServicesService 
{
    /**
     * 查询基础服务
     * 
     * @param basicServicesId 基础服务主键
     * @return 基础服务
     */
    public BasicServices selectBasicServicesByBasicServicesId(Long basicServicesId);

    /**
     * 查询基础服务列表
     * 
     * @param basicServices 基础服务
     * @return 基础服务集合
     */
    public List<BasicServices> selectBasicServicesList(BasicServices basicServices);

    /**
     * 新增基础服务
     * 
     * @param basicServices 基础服务
     * @return 结果
     */
    public int insertBasicServices(BasicServices basicServices);

    /**
     * 修改基础服务
     * 
     * @param basicServices 基础服务
     * @return 结果
     */
    public int updateBasicServices(BasicServices basicServices);

    /**
     * 批量删除基础服务
     * 
     * @param basicServicesIds 需要删除的基础服务主键集合
     * @return 结果
     */
    public int deleteBasicServicesByBasicServicesIds(Long[] basicServicesIds);

    /**
     * 删除基础服务信息
     * 
     * @param basicServicesId 基础服务主键
     * @return 结果
     */
    public int deleteBasicServicesByBasicServicesId(Long basicServicesId);
}
