package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.BondConfig;

/**
 * 保证金配置Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IBondConfigService 
{
    /**
     * 查询保证金配置
     * 
     * @param id 保证金配置主键
     * @return 保证金配置
     */
    public BondConfig selectBondConfigById(Long id);

    /**
     * 查询保证金配置列表
     * 
     * @param bondConfig 保证金配置
     * @return 保证金配置集合
     */
    public List<BondConfig> selectBondConfigList(BondConfig bondConfig);

    /**
     * 新增保证金配置
     * 
     * @param bondConfig 保证金配置
     * @return 结果
     */
    public int insertBondConfig(BondConfig bondConfig);

    /**
     * 修改保证金配置
     * 
     * @param bondConfig 保证金配置
     * @return 结果
     */
    public int updateBondConfig(BondConfig bondConfig);

    /**
     * 批量删除保证金配置
     * 
     * @param ids 需要删除的保证金配置主键集合
     * @return 结果
     */
    public int deleteBondConfigByIds(Long[] ids);

    /**
     * 删除保证金配置信息
     * 
     * @param id 保证金配置主键
     * @return 结果
     */
    public int deleteBondConfigById(Long id);
}
