package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.CertificationAuditConfig;

/**
 * 认证审核配置Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface ICertificationAuditConfigService 
{
    /**
     * 查询认证审核配置
     * 
     * @param id 认证审核配置主键
     * @return 认证审核配置
     */
    public CertificationAuditConfig selectCertificationAuditConfigById(Long id);

    /**
     * 查询认证审核配置列表
     * 
     * @param certificationAuditConfig 认证审核配置
     * @return 认证审核配置集合
     */
    public List<CertificationAuditConfig> selectCertificationAuditConfigList(CertificationAuditConfig certificationAuditConfig);

    /**
     * 新增认证审核配置
     * 
     * @param certificationAuditConfig 认证审核配置
     * @return 结果
     */
    public int insertCertificationAuditConfig(CertificationAuditConfig certificationAuditConfig);

    /**
     * 修改认证审核配置
     * 
     * @param certificationAuditConfig 认证审核配置
     * @return 结果
     */
    public int updateCertificationAuditConfig(CertificationAuditConfig certificationAuditConfig);

    /**
     * 批量删除认证审核配置
     * 
     * @param ids 需要删除的认证审核配置主键集合
     * @return 结果
     */
    public int deleteCertificationAuditConfigByIds(Long[] ids);

    /**
     * 删除认证审核配置信息
     * 
     * @param id 认证审核配置主键
     * @return 结果
     */
    public int deleteCertificationAuditConfigById(Long id);
}
