package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.CertificationJoinLicense;

/**
 * 执照连接伴宠师认证Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface ICertificationJoinLicenseService 
{
    /**
     * 查询执照连接伴宠师认证
     * 
     * @param licenseId 执照连接伴宠师认证主键
     * @return 执照连接伴宠师认证
     */
    public CertificationJoinLicense selectCertificationJoinLicenseByLicenseId(Long licenseId);

    /**
     * 查询执照连接伴宠师认证列表
     * 
     * @param certificationJoinLicense 执照连接伴宠师认证
     * @return 执照连接伴宠师认证集合
     */
    public List<CertificationJoinLicense> selectCertificationJoinLicenseList(CertificationJoinLicense certificationJoinLicense);

    /**
     * 新增执照连接伴宠师认证
     * 
     * @param certificationJoinLicense 执照连接伴宠师认证
     * @return 结果
     */
    public int insertCertificationJoinLicense(CertificationJoinLicense certificationJoinLicense);

    /**
     * 修改执照连接伴宠师认证
     * 
     * @param certificationJoinLicense 执照连接伴宠师认证
     * @return 结果
     */
    public int updateCertificationJoinLicense(CertificationJoinLicense certificationJoinLicense);

    /**
     * 批量删除执照连接伴宠师认证
     * 
     * @param licenseIds 需要删除的执照连接伴宠师认证主键集合
     * @return 结果
     */
    public int deleteCertificationJoinLicenseByLicenseIds(Long[] licenseIds);

    /**
     * 删除执照连接伴宠师认证信息
     * 
     * @param licenseId 执照连接伴宠师认证主键
     * @return 结果
     */
    public int deleteCertificationJoinLicenseByLicenseId(Long licenseId);
}
