package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.CheckImage;

/**
 * 打卡图片Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface ICheckImageService 
{
    /**
     * 查询打卡图片
     * 
     * @param checkImageId 打卡图片主键
     * @return 打卡图片
     */
    public CheckImage selectCheckImageByCheckImageId(Long checkImageId);

    /**
     * 查询打卡图片列表
     * 
     * @param checkImage 打卡图片
     * @return 打卡图片集合
     */
    public List<CheckImage> selectCheckImageList(CheckImage checkImage);

    /**
     * 新增打卡图片
     * 
     * @param checkImage 打卡图片
     * @return 结果
     */
    public int insertCheckImage(CheckImage checkImage);

    /**
     * 修改打卡图片
     * 
     * @param checkImage 打卡图片
     * @return 结果
     */
    public int updateCheckImage(CheckImage checkImage);

    /**
     * 批量删除打卡图片
     * 
     * @param checkImageIds 需要删除的打卡图片主键集合
     * @return 结果
     */
    public int deleteCheckImageByCheckImageIds(Long[] checkImageIds);

    /**
     * 删除打卡图片信息
     * 
     * @param checkImageId 打卡图片主键
     * @return 结果
     */
    public int deleteCheckImageByCheckImageId(Long checkImageId);
}
