package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.PetsBread;

/**
 * 宠物品种Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IPetsBreadService 
{
    /**
     * 查询宠物品种
     * 
     * @param petBreadId 宠物品种主键
     * @return 宠物品种
     */
    public PetsBread selectPetsBreadByPetBreadId(Long petBreadId);

    /**
     * 查询宠物品种列表
     * 
     * @param petsBread 宠物品种
     * @return 宠物品种集合
     */
    public List<PetsBread> selectPetsBreadList(PetsBread petsBread);

    /**
     * 新增宠物品种
     * 
     * @param petsBread 宠物品种
     * @return 结果
     */
    public int insertPetsBread(PetsBread petsBread);

    /**
     * 修改宠物品种
     * 
     * @param petsBread 宠物品种
     * @return 结果
     */
    public int updatePetsBread(PetsBread petsBread);

    /**
     * 批量删除宠物品种
     * 
     * @param petBreadIds 需要删除的宠物品种主键集合
     * @return 结果
     */
    public int deletePetsBreadByPetBreadIds(Long[] petBreadIds);

    /**
     * 删除宠物品种信息
     * 
     * @param petBreadId 宠物品种主键
     * @return 结果
     */
    public int deletePetsBreadByPetBreadId(Long petBreadId);
}
