package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.PlatformAgreementConfig;

/**
 * 平台协议配置Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IPlatformAgreementConfigService 
{
    /**
     * 查询平台协议配置
     * 
     * @param id 平台协议配置主键
     * @return 平台协议配置
     */
    public PlatformAgreementConfig selectPlatformAgreementConfigById(Long id);

    /**
     * 查询平台协议配置列表
     * 
     * @param platformAgreementConfig 平台协议配置
     * @return 平台协议配置集合
     */
    public List<PlatformAgreementConfig> selectPlatformAgreementConfigList(PlatformAgreementConfig platformAgreementConfig);

    /**
     * 新增平台协议配置
     * 
     * @param platformAgreementConfig 平台协议配置
     * @return 结果
     */
    public int insertPlatformAgreementConfig(PlatformAgreementConfig platformAgreementConfig);

    /**
     * 修改平台协议配置
     * 
     * @param platformAgreementConfig 平台协议配置
     * @return 结果
     */
    public int updatePlatformAgreementConfig(PlatformAgreementConfig platformAgreementConfig);

    /**
     * 批量删除平台协议配置
     * 
     * @param ids 需要删除的平台协议配置主键集合
     * @return 结果
     */
    public int deletePlatformAgreementConfigByIds(Long[] ids);

    /**
     * 删除平台协议配置信息
     * 
     * @param id 平台协议配置主键
     * @return 结果
     */
    public int deletePlatformAgreementConfigById(Long id);
}
