package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ServiceFile;

/**
 * 服务档案Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IServiceFileService 
{
    /**
     * 查询服务档案
     * 
     * @param serviceFileId 服务档案主键
     * @return 服务档案
     */
    public ServiceFile selectServiceFileByServiceFileId(Long serviceFileId);

    /**
     * 查询服务档案列表
     * 
     * @param serviceFile 服务档案
     * @return 服务档案集合
     */
    public List<ServiceFile> selectServiceFileList(ServiceFile serviceFile);

    /**
     * 新增服务档案
     * 
     * @param serviceFile 服务档案
     * @return 结果
     */
    public int insertServiceFile(ServiceFile serviceFile);

    /**
     * 修改服务档案
     * 
     * @param serviceFile 服务档案
     * @return 结果
     */
    public int updateServiceFile(ServiceFile serviceFile);

    /**
     * 批量删除服务档案
     * 
     * @param serviceFileIds 需要删除的服务档案主键集合
     * @return 结果
     */
    public int deleteServiceFileByServiceFileIds(Long[] serviceFileIds);

    /**
     * 删除服务档案信息
     * 
     * @param serviceFileId 服务档案主键
     * @return 结果
     */
    public int deleteServiceFileByServiceFileId(Long serviceFileId);
}
