package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ServiceType;

/**
 * 服务类型Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IServiceTypeService 
{
    /**
     * 查询服务类型
     * 
     * @param id 服务类型主键
     * @return 服务类型
     */
    public ServiceType selectServiceTypeById(Long id);

    /**
     * 查询服务类型列表
     * 
     * @param serviceType 服务类型
     * @return 服务类型集合
     */
    public List<ServiceType> selectServiceTypeList(ServiceType serviceType);

    /**
     * 新增服务类型
     * 
     * @param serviceType 服务类型
     * @return 结果
     */
    public int insertServiceType(ServiceType serviceType);

    /**
     * 修改服务类型
     * 
     * @param serviceType 服务类型
     * @return 结果
     */
    public int updateServiceType(ServiceType serviceType);

    /**
     * 批量删除服务类型
     * 
     * @param ids 需要删除的服务类型主键集合
     * @return 结果
     */
    public int deleteServiceTypeByIds(Long[] ids);

    /**
     * 删除服务类型信息
     * 
     * @param id 服务类型主键
     * @return 结果
     */
    public int deleteServiceTypeById(Long id);
}
