package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ServiceUploadConfig;

/**
 * 服务上传配置Service接口
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
public interface IServiceUploadConfigService 
{
    /**
     * 查询服务上传配置
     * 
     * @param id 服务上传配置主键
     * @return 服务上传配置
     */
    public ServiceUploadConfig selectServiceUploadConfigById(Long id);

    /**
     * 查询服务上传配置列表
     * 
     * @param serviceUploadConfig 服务上传配置
     * @return 服务上传配置集合
     */
    public List<ServiceUploadConfig> selectServiceUploadConfigList(ServiceUploadConfig serviceUploadConfig);

    /**
     * 新增服务上传配置
     * 
     * @param serviceUploadConfig 服务上传配置
     * @return 结果
     */
    public int insertServiceUploadConfig(ServiceUploadConfig serviceUploadConfig);

    /**
     * 修改服务上传配置
     * 
     * @param serviceUploadConfig 服务上传配置
     * @return 结果
     */
    public int updateServiceUploadConfig(ServiceUploadConfig serviceUploadConfig);

    /**
     * 批量删除服务上传配置
     * 
     * @param ids 需要删除的服务上传配置主键集合
     * @return 结果
     */
    public int deleteServiceUploadConfigByIds(Long[] ids);

    /**
     * 删除服务上传配置信息
     * 
     * @param id 服务上传配置主键
     * @return 结果
     */
    public int deleteServiceUploadConfigById(Long id);
}
