package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.AddValueServiceRecordsMapper;
import com.ruoyi.system.domain.AddValueServiceRecords;
import com.ruoyi.system.service.IAddValueServiceRecordsService;

/**
 * 增值服务记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class AddValueServiceRecordsServiceImpl implements IAddValueServiceRecordsService 
{
    @Autowired
    private AddValueServiceRecordsMapper addValueServiceRecordsMapper;

    /**
     * 查询增值服务记录
     * 
     * @param addValueServiceRecordsId 增值服务记录主键
     * @return 增值服务记录
     */
    @Override
    public AddValueServiceRecords selectAddValueServiceRecordsByAddValueServiceRecordsId(Long addValueServiceRecordsId)
    {
        return addValueServiceRecordsMapper.selectAddValueServiceRecordsByAddValueServiceRecordsId(addValueServiceRecordsId);
    }

    /**
     * 查询增值服务记录列表
     * 
     * @param addValueServiceRecords 增值服务记录
     * @return 增值服务记录
     */
    @Override
    public List<AddValueServiceRecords> selectAddValueServiceRecordsList(AddValueServiceRecords addValueServiceRecords)
    {
        return addValueServiceRecordsMapper.selectAddValueServiceRecordsList(addValueServiceRecords);
    }

    /**
     * 新增增值服务记录
     * 
     * @param addValueServiceRecords 增值服务记录
     * @return 结果
     */
    @Override
    public int insertAddValueServiceRecords(AddValueServiceRecords addValueServiceRecords)
    {
        return addValueServiceRecordsMapper.insertAddValueServiceRecords(addValueServiceRecords);
    }

    /**
     * 修改增值服务记录
     * 
     * @param addValueServiceRecords 增值服务记录
     * @return 结果
     */
    @Override
    public int updateAddValueServiceRecords(AddValueServiceRecords addValueServiceRecords)
    {
        return addValueServiceRecordsMapper.updateAddValueServiceRecords(addValueServiceRecords);
    }

    /**
     * 批量删除增值服务记录
     * 
     * @param addValueServiceRecordsIds 需要删除的增值服务记录主键
     * @return 结果
     */
    @Override
    public int deleteAddValueServiceRecordsByAddValueServiceRecordsIds(Long[] addValueServiceRecordsIds)
    {
        return addValueServiceRecordsMapper.deleteAddValueServiceRecordsByAddValueServiceRecordsIds(addValueServiceRecordsIds);
    }

    /**
     * 删除增值服务记录信息
     * 
     * @param addValueServiceRecordsId 增值服务记录主键
     * @return 结果
     */
    @Override
    public int deleteAddValueServiceRecordsByAddValueServiceRecordsId(Long addValueServiceRecordsId)
    {
        return addValueServiceRecordsMapper.deleteAddValueServiceRecordsByAddValueServiceRecordsId(addValueServiceRecordsId);
    }
}
