package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.AdditionalServicesMapper;
import com.ruoyi.system.domain.AdditionalServices;
import com.ruoyi.system.service.IAdditionalServicesService;

/**
 * 附加服务Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class AdditionalServicesServiceImpl implements IAdditionalServicesService 
{
    @Autowired
    private AdditionalServicesMapper additionalServicesMapper;

    /**
     * 查询附加服务
     * 
     * @param additionalServicesId 附加服务主键
     * @return 附加服务
     */
    @Override
    public AdditionalServices selectAdditionalServicesByAdditionalServicesId(Long additionalServicesId)
    {
        return additionalServicesMapper.selectAdditionalServicesByAdditionalServicesId(additionalServicesId);
    }

    /**
     * 查询附加服务列表
     * 
     * @param additionalServices 附加服务
     * @return 附加服务
     */
    @Override
    public List<AdditionalServices> selectAdditionalServicesList(AdditionalServices additionalServices)
    {
        return additionalServicesMapper.selectAdditionalServicesList(additionalServices);
    }

    /**
     * 新增附加服务
     * 
     * @param additionalServices 附加服务
     * @return 结果
     */
    @Override
    public int insertAdditionalServices(AdditionalServices additionalServices)
    {
        return additionalServicesMapper.insertAdditionalServices(additionalServices);
    }

    /**
     * 修改附加服务
     * 
     * @param additionalServices 附加服务
     * @return 结果
     */
    @Override
    public int updateAdditionalServices(AdditionalServices additionalServices)
    {
        return additionalServicesMapper.updateAdditionalServices(additionalServices);
    }

    /**
     * 批量删除附加服务
     * 
     * @param additionalServicesIds 需要删除的附加服务主键
     * @return 结果
     */
    @Override
    public int deleteAdditionalServicesByAdditionalServicesIds(Long[] additionalServicesIds)
    {
        return additionalServicesMapper.deleteAdditionalServicesByAdditionalServicesIds(additionalServicesIds);
    }

    /**
     * 删除附加服务信息
     * 
     * @param additionalServicesId 附加服务主键
     * @return 结果
     */
    @Override
    public int deleteAdditionalServicesByAdditionalServicesId(Long additionalServicesId)
    {
        return additionalServicesMapper.deleteAdditionalServicesByAdditionalServicesId(additionalServicesId);
    }
}
