package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.AddressConfigMapper;
import com.ruoyi.system.domain.AddressConfig;
import com.ruoyi.system.service.IAddressConfigService;

/**
 * 接单地址配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class AddressConfigServiceImpl implements IAddressConfigService 
{
    @Autowired
    private AddressConfigMapper addressConfigMapper;

    /**
     * 查询接单地址配置
     * 
     * @param id 接单地址配置主键
     * @return 接单地址配置
     */
    @Override
    public AddressConfig selectAddressConfigById(Long id)
    {
        return addressConfigMapper.selectAddressConfigById(id);
    }

    /**
     * 查询接单地址配置列表
     * 
     * @param addressConfig 接单地址配置
     * @return 接单地址配置
     */
    @Override
    public List<AddressConfig> selectAddressConfigList(AddressConfig addressConfig)
    {
        return addressConfigMapper.selectAddressConfigList(addressConfig);
    }

    /**
     * 新增接单地址配置
     * 
     * @param addressConfig 接单地址配置
     * @return 结果
     */
    @Override
    public int insertAddressConfig(AddressConfig addressConfig)
    {
        return addressConfigMapper.insertAddressConfig(addressConfig);
    }

    /**
     * 修改接单地址配置
     * 
     * @param addressConfig 接单地址配置
     * @return 结果
     */
    @Override
    public int updateAddressConfig(AddressConfig addressConfig)
    {
        return addressConfigMapper.updateAddressConfig(addressConfig);
    }

    /**
     * 批量删除接单地址配置
     * 
     * @param ids 需要删除的接单地址配置主键
     * @return 结果
     */
    @Override
    public int deleteAddressConfigByIds(Long[] ids)
    {
        return addressConfigMapper.deleteAddressConfigByIds(ids);
    }

    /**
     * 删除接单地址配置信息
     * 
     * @param id 接单地址配置主键
     * @return 结果
     */
    @Override
    public int deleteAddressConfigById(Long id)
    {
        return addressConfigMapper.deleteAddressConfigById(id);
    }
}
