package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.AddresssMapper;
import com.ruoyi.system.domain.Addresss;
import com.ruoyi.system.service.IAddresssService;

/**
 * 地址管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class AddresssServiceImpl implements IAddresssService
{
    @Autowired
    private AddresssMapper addressMapper;

    /**
     * 查询地址管理
     * 
     * @param addressId 地址管理主键
     * @return 地址管理
     */
    @Override
    public Addresss selectAddressByAddressId(Long addressId)
    {
        return addressMapper.selectAddressByAddressId(addressId);
    }

    /**
     * 查询地址管理列表
     * 
     * @param address 地址管理
     * @return 地址管理
     */
    @Override
    public List<Addresss> selectAddressList(Addresss address)
    {
        return addressMapper.selectAddressList(address);
    }

    /**
     * 新增地址管理
     * 
     * @param address 地址管理
     * @return 结果
     */
    @Override
    public int insertAddress(Addresss address)
    {
        return addressMapper.insertAddress(address);
    }

    /**
     * 修改地址管理
     * 
     * @param address 地址管理
     * @return 结果
     */
    @Override
    public int updateAddress(Addresss address)
    {
        return addressMapper.updateAddress(address);
    }

    /**
     * 批量删除地址管理
     * 
     * @param addressIds 需要删除的地址管理主键
     * @return 结果
     */
    @Override
    public int deleteAddressByAddressIds(Long[] addressIds)
    {
        return addressMapper.deleteAddressByAddressIds(addressIds);
    }

    /**
     * 删除地址管理信息
     * 
     * @param addressId 地址管理主键
     * @return 结果
     */
    @Override
    public int deleteAddressByAddressId(Long addressId)
    {
        return addressMapper.deleteAddressByAddressId(addressId);
    }
}
