package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ApplyRefundConfigMapper;
import com.ruoyi.system.domain.ApplyRefundConfig;
import com.ruoyi.system.service.IApplyRefundConfigService;

/**
 * 保证金退还配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class ApplyRefundConfigServiceImpl implements IApplyRefundConfigService 
{
    @Autowired
    private ApplyRefundConfigMapper applyRefundConfigMapper;

    /**
     * 查询保证金退还配置
     * 
     * @param id 保证金退还配置主键
     * @return 保证金退还配置
     */
    @Override
    public ApplyRefundConfig selectApplyRefundConfigById(Long id)
    {
        return applyRefundConfigMapper.selectApplyRefundConfigById(id);
    }

    /**
     * 查询保证金退还配置列表
     * 
     * @param applyRefundConfig 保证金退还配置
     * @return 保证金退还配置
     */
    @Override
    public List<ApplyRefundConfig> selectApplyRefundConfigList(ApplyRefundConfig applyRefundConfig)
    {
        return applyRefundConfigMapper.selectApplyRefundConfigList(applyRefundConfig);
    }

    /**
     * 新增保证金退还配置
     * 
     * @param applyRefundConfig 保证金退还配置
     * @return 结果
     */
    @Override
    public int insertApplyRefundConfig(ApplyRefundConfig applyRefundConfig)
    {
        return applyRefundConfigMapper.insertApplyRefundConfig(applyRefundConfig);
    }

    /**
     * 修改保证金退还配置
     * 
     * @param applyRefundConfig 保证金退还配置
     * @return 结果
     */
    @Override
    public int updateApplyRefundConfig(ApplyRefundConfig applyRefundConfig)
    {
        return applyRefundConfigMapper.updateApplyRefundConfig(applyRefundConfig);
    }

    /**
     * 批量删除保证金退还配置
     * 
     * @param ids 需要删除的保证金退还配置主键
     * @return 结果
     */
    @Override
    public int deleteApplyRefundConfigByIds(Long[] ids)
    {
        return applyRefundConfigMapper.deleteApplyRefundConfigByIds(ids);
    }

    /**
     * 删除保证金退还配置信息
     * 
     * @param id 保证金退还配置主键
     * @return 结果
     */
    @Override
    public int deleteApplyRefundConfigById(Long id)
    {
        return applyRefundConfigMapper.deleteApplyRefundConfigById(id);
    }
}
