package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.AppraisalRecordsMapper;
import com.ruoyi.system.domain.AppraisalRecords;
import com.ruoyi.system.service.IAppraisalRecordsService;

/**
 * 选择题记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class AppraisalRecordsServiceImpl implements IAppraisalRecordsService 
{
    @Autowired
    private AppraisalRecordsMapper appraisalRecordsMapper;

    /**
     * 查询选择题记录
     * 
     * @param appraisalRecordsId 选择题记录主键
     * @return 选择题记录
     */
    @Override
    public AppraisalRecords selectAppraisalRecordsByAppraisalRecordsId(Long appraisalRecordsId)
    {
        return appraisalRecordsMapper.selectAppraisalRecordsByAppraisalRecordsId(appraisalRecordsId);
    }

    /**
     * 查询选择题记录列表
     * 
     * @param appraisalRecords 选择题记录
     * @return 选择题记录
     */
    @Override
    public List<AppraisalRecords> selectAppraisalRecordsList(AppraisalRecords appraisalRecords)
    {
        return appraisalRecordsMapper.selectAppraisalRecordsList(appraisalRecords);
    }

    /**
     * 新增选择题记录
     * 
     * @param appraisalRecords 选择题记录
     * @return 结果
     */
    @Override
    public int insertAppraisalRecords(AppraisalRecords appraisalRecords)
    {
        return appraisalRecordsMapper.insertAppraisalRecords(appraisalRecords);
    }

    /**
     * 修改选择题记录
     * 
     * @param appraisalRecords 选择题记录
     * @return 结果
     */
    @Override
    public int updateAppraisalRecords(AppraisalRecords appraisalRecords)
    {
        return appraisalRecordsMapper.updateAppraisalRecords(appraisalRecords);
    }

    /**
     * 批量删除选择题记录
     * 
     * @param appraisalRecordsIds 需要删除的选择题记录主键
     * @return 结果
     */
    @Override
    public int deleteAppraisalRecordsByAppraisalRecordsIds(Long[] appraisalRecordsIds)
    {
        return appraisalRecordsMapper.deleteAppraisalRecordsByAppraisalRecordsIds(appraisalRecordsIds);
    }

    /**
     * 删除选择题记录信息
     * 
     * @param appraisalRecordsId 选择题记录主键
     * @return 结果
     */
    @Override
    public int deleteAppraisalRecordsByAppraisalRecordsId(Long appraisalRecordsId)
    {
        return appraisalRecordsMapper.deleteAppraisalRecordsByAppraisalRecordsId(appraisalRecordsId);
    }
}
