package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.BasicServicesMapper;
import com.ruoyi.system.domain.BasicServices;
import com.ruoyi.system.service.IBasicServicesService;

/**
 * 基础服务Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class BasicServicesServiceImpl implements IBasicServicesService 
{
    @Autowired
    private BasicServicesMapper basicServicesMapper;

    /**
     * 查询基础服务
     * 
     * @param basicServicesId 基础服务主键
     * @return 基础服务
     */
    @Override
    public BasicServices selectBasicServicesByBasicServicesId(Long basicServicesId)
    {
        return basicServicesMapper.selectBasicServicesByBasicServicesId(basicServicesId);
    }

    /**
     * 查询基础服务列表
     * 
     * @param basicServices 基础服务
     * @return 基础服务
     */
    @Override
    public List<BasicServices> selectBasicServicesList(BasicServices basicServices)
    {
        return basicServicesMapper.selectBasicServicesList(basicServices);
    }

    /**
     * 新增基础服务
     * 
     * @param basicServices 基础服务
     * @return 结果
     */
    @Override
    public int insertBasicServices(BasicServices basicServices)
    {
        return basicServicesMapper.insertBasicServices(basicServices);
    }

    /**
     * 修改基础服务
     * 
     * @param basicServices 基础服务
     * @return 结果
     */
    @Override
    public int updateBasicServices(BasicServices basicServices)
    {
        return basicServicesMapper.updateBasicServices(basicServices);
    }

    /**
     * 批量删除基础服务
     * 
     * @param basicServicesIds 需要删除的基础服务主键
     * @return 结果
     */
    @Override
    public int deleteBasicServicesByBasicServicesIds(Long[] basicServicesIds)
    {
        return basicServicesMapper.deleteBasicServicesByBasicServicesIds(basicServicesIds);
    }

    /**
     * 删除基础服务信息
     * 
     * @param basicServicesId 基础服务主键
     * @return 结果
     */
    @Override
    public int deleteBasicServicesByBasicServicesId(Long basicServicesId)
    {
        return basicServicesMapper.deleteBasicServicesByBasicServicesId(basicServicesId);
    }
}
