package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.BondConfigMapper;
import com.ruoyi.system.domain.BondConfig;
import com.ruoyi.system.service.IBondConfigService;

/**
 * 保证金配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class BondConfigServiceImpl implements IBondConfigService 
{
    @Autowired
    private BondConfigMapper bondConfigMapper;

    /**
     * 查询保证金配置
     * 
     * @param id 保证金配置主键
     * @return 保证金配置
     */
    @Override
    public BondConfig selectBondConfigById(Long id)
    {
        return bondConfigMapper.selectBondConfigById(id);
    }

    /**
     * 查询保证金配置列表
     * 
     * @param bondConfig 保证金配置
     * @return 保证金配置
     */
    @Override
    public List<BondConfig> selectBondConfigList(BondConfig bondConfig)
    {
        return bondConfigMapper.selectBondConfigList(bondConfig);
    }

    /**
     * 新增保证金配置
     * 
     * @param bondConfig 保证金配置
     * @return 结果
     */
    @Override
    public int insertBondConfig(BondConfig bondConfig)
    {
        return bondConfigMapper.insertBondConfig(bondConfig);
    }

    /**
     * 修改保证金配置
     * 
     * @param bondConfig 保证金配置
     * @return 结果
     */
    @Override
    public int updateBondConfig(BondConfig bondConfig)
    {
        return bondConfigMapper.updateBondConfig(bondConfig);
    }

    /**
     * 批量删除保证金配置
     * 
     * @param ids 需要删除的保证金配置主键
     * @return 结果
     */
    @Override
    public int deleteBondConfigByIds(Long[] ids)
    {
        return bondConfigMapper.deleteBondConfigByIds(ids);
    }

    /**
     * 删除保证金配置信息
     * 
     * @param id 保证金配置主键
     * @return 结果
     */
    @Override
    public int deleteBondConfigById(Long id)
    {
        return bondConfigMapper.deleteBondConfigById(id);
    }
}
