package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.CarouselImageMapper;
import com.ruoyi.system.domain.CarouselImage;
import com.ruoyi.system.service.ICarouselImageService;

/**
 * 轮播图Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class CarouselImageServiceImpl implements ICarouselImageService 
{
    @Autowired
    private CarouselImageMapper carouselImageMapper;

    /**
     * 查询轮播图
     * 
     * @param id 轮播图主键
     * @return 轮播图
     */
    @Override
    public CarouselImage selectCarouselImageById(Long id)
    {
        return carouselImageMapper.selectCarouselImageById(id);
    }

    /**
     * 查询轮播图列表
     * 
     * @param carouselImage 轮播图
     * @return 轮播图
     */
    @Override
    public List<CarouselImage> selectCarouselImageList(CarouselImage carouselImage)
    {
        return carouselImageMapper.selectCarouselImageList(carouselImage);
    }

    /**
     * 新增轮播图
     * 
     * @param carouselImage 轮播图
     * @return 结果
     */
    @Override
    public int insertCarouselImage(CarouselImage carouselImage)
    {
        return carouselImageMapper.insertCarouselImage(carouselImage);
    }

    /**
     * 修改轮播图
     * 
     * @param carouselImage 轮播图
     * @return 结果
     */
    @Override
    public int updateCarouselImage(CarouselImage carouselImage)
    {
        return carouselImageMapper.updateCarouselImage(carouselImage);
    }

    /**
     * 批量删除轮播图
     * 
     * @param ids 需要删除的轮播图主键
     * @return 结果
     */
    @Override
    public int deleteCarouselImageByIds(Long[] ids)
    {
        return carouselImageMapper.deleteCarouselImageByIds(ids);
    }

    /**
     * 删除轮播图信息
     * 
     * @param id 轮播图主键
     * @return 结果
     */
    @Override
    public int deleteCarouselImageById(Long id)
    {
        return carouselImageMapper.deleteCarouselImageById(id);
    }
}
