package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.CertificationAuditConfigMapper;
import com.ruoyi.system.domain.CertificationAuditConfig;
import com.ruoyi.system.service.ICertificationAuditConfigService;

/**
 * 认证审核配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class CertificationAuditConfigServiceImpl implements ICertificationAuditConfigService 
{
    @Autowired
    private CertificationAuditConfigMapper certificationAuditConfigMapper;

    /**
     * 查询认证审核配置
     * 
     * @param id 认证审核配置主键
     * @return 认证审核配置
     */
    @Override
    public CertificationAuditConfig selectCertificationAuditConfigById(Long id)
    {
        return certificationAuditConfigMapper.selectCertificationAuditConfigById(id);
    }

    /**
     * 查询认证审核配置列表
     * 
     * @param certificationAuditConfig 认证审核配置
     * @return 认证审核配置
     */
    @Override
    public List<CertificationAuditConfig> selectCertificationAuditConfigList(CertificationAuditConfig certificationAuditConfig)
    {
        return certificationAuditConfigMapper.selectCertificationAuditConfigList(certificationAuditConfig);
    }

    /**
     * 新增认证审核配置
     * 
     * @param certificationAuditConfig 认证审核配置
     * @return 结果
     */
    @Override
    public int insertCertificationAuditConfig(CertificationAuditConfig certificationAuditConfig)
    {
        return certificationAuditConfigMapper.insertCertificationAuditConfig(certificationAuditConfig);
    }

    /**
     * 修改认证审核配置
     * 
     * @param certificationAuditConfig 认证审核配置
     * @return 结果
     */
    @Override
    public int updateCertificationAuditConfig(CertificationAuditConfig certificationAuditConfig)
    {
        return certificationAuditConfigMapper.updateCertificationAuditConfig(certificationAuditConfig);
    }

    /**
     * 批量删除认证审核配置
     * 
     * @param ids 需要删除的认证审核配置主键
     * @return 结果
     */
    @Override
    public int deleteCertificationAuditConfigByIds(Long[] ids)
    {
        return certificationAuditConfigMapper.deleteCertificationAuditConfigByIds(ids);
    }

    /**
     * 删除认证审核配置信息
     * 
     * @param id 认证审核配置主键
     * @return 结果
     */
    @Override
    public int deleteCertificationAuditConfigById(Long id)
    {
        return certificationAuditConfigMapper.deleteCertificationAuditConfigById(id);
    }
}
