package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.CertificationJoinLicenseMapper;
import com.ruoyi.system.domain.CertificationJoinLicense;
import com.ruoyi.system.service.ICertificationJoinLicenseService;

/**
 * 执照连接伴宠师认证Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class CertificationJoinLicenseServiceImpl implements ICertificationJoinLicenseService 
{
    @Autowired
    private CertificationJoinLicenseMapper certificationJoinLicenseMapper;

    /**
     * 查询执照连接伴宠师认证
     * 
     * @param licenseId 执照连接伴宠师认证主键
     * @return 执照连接伴宠师认证
     */
    @Override
    public CertificationJoinLicense selectCertificationJoinLicenseByLicenseId(Long licenseId)
    {
        return certificationJoinLicenseMapper.selectCertificationJoinLicenseByLicenseId(licenseId);
    }

    /**
     * 查询执照连接伴宠师认证列表
     * 
     * @param certificationJoinLicense 执照连接伴宠师认证
     * @return 执照连接伴宠师认证
     */
    @Override
    public List<CertificationJoinLicense> selectCertificationJoinLicenseList(CertificationJoinLicense certificationJoinLicense)
    {
        return certificationJoinLicenseMapper.selectCertificationJoinLicenseList(certificationJoinLicense);
    }

    /**
     * 新增执照连接伴宠师认证
     * 
     * @param certificationJoinLicense 执照连接伴宠师认证
     * @return 结果
     */
    @Override
    public int insertCertificationJoinLicense(CertificationJoinLicense certificationJoinLicense)
    {
        return certificationJoinLicenseMapper.insertCertificationJoinLicense(certificationJoinLicense);
    }

    /**
     * 修改执照连接伴宠师认证
     * 
     * @param certificationJoinLicense 执照连接伴宠师认证
     * @return 结果
     */
    @Override
    public int updateCertificationJoinLicense(CertificationJoinLicense certificationJoinLicense)
    {
        return certificationJoinLicenseMapper.updateCertificationJoinLicense(certificationJoinLicense);
    }

    /**
     * 批量删除执照连接伴宠师认证
     * 
     * @param licenseIds 需要删除的执照连接伴宠师认证主键
     * @return 结果
     */
    @Override
    public int deleteCertificationJoinLicenseByLicenseIds(Long[] licenseIds)
    {
        return certificationJoinLicenseMapper.deleteCertificationJoinLicenseByLicenseIds(licenseIds);
    }

    /**
     * 删除执照连接伴宠师认证信息
     * 
     * @param licenseId 执照连接伴宠师认证主键
     * @return 结果
     */
    @Override
    public int deleteCertificationJoinLicenseByLicenseId(Long licenseId)
    {
        return certificationJoinLicenseMapper.deleteCertificationJoinLicenseByLicenseId(licenseId);
    }
}
