package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.CheckImageMapper;
import com.ruoyi.system.domain.CheckImage;
import com.ruoyi.system.service.ICheckImageService;

/**
 * 打卡图片Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class CheckImageServiceImpl implements ICheckImageService 
{
    @Autowired
    private CheckImageMapper checkImageMapper;

    /**
     * 查询打卡图片
     * 
     * @param checkImageId 打卡图片主键
     * @return 打卡图片
     */
    @Override
    public CheckImage selectCheckImageByCheckImageId(Long checkImageId)
    {
        return checkImageMapper.selectCheckImageByCheckImageId(checkImageId);
    }

    /**
     * 查询打卡图片列表
     * 
     * @param checkImage 打卡图片
     * @return 打卡图片
     */
    @Override
    public List<CheckImage> selectCheckImageList(CheckImage checkImage)
    {
        return checkImageMapper.selectCheckImageList(checkImage);
    }

    /**
     * 新增打卡图片
     * 
     * @param checkImage 打卡图片
     * @return 结果
     */
    @Override
    public int insertCheckImage(CheckImage checkImage)
    {
        return checkImageMapper.insertCheckImage(checkImage);
    }

    /**
     * 修改打卡图片
     * 
     * @param checkImage 打卡图片
     * @return 结果
     */
    @Override
    public int updateCheckImage(CheckImage checkImage)
    {
        return checkImageMapper.updateCheckImage(checkImage);
    }

    /**
     * 批量删除打卡图片
     * 
     * @param checkImageIds 需要删除的打卡图片主键
     * @return 结果
     */
    @Override
    public int deleteCheckImageByCheckImageIds(Long[] checkImageIds)
    {
        return checkImageMapper.deleteCheckImageByCheckImageIds(checkImageIds);
    }

    /**
     * 删除打卡图片信息
     * 
     * @param checkImageId 打卡图片主键
     * @return 结果
     */
    @Override
    public int deleteCheckImageByCheckImageId(Long checkImageId)
    {
        return checkImageMapper.deleteCheckImageByCheckImageId(checkImageId);
    }
}
