package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.CheckImageTypeMapper;
import com.ruoyi.system.domain.CheckImageType;
import com.ruoyi.system.service.ICheckImageTypeService;

/**
 * 打卡图片类型Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class CheckImageTypeServiceImpl implements ICheckImageTypeService 
{
    @Autowired
    private CheckImageTypeMapper checkImageTypeMapper;

    /**
     * 查询打卡图片类型
     * 
     * @param checkImageTypeId 打卡图片类型主键
     * @return 打卡图片类型
     */
    @Override
    public CheckImageType selectCheckImageTypeByCheckImageTypeId(Long checkImageTypeId)
    {
        return checkImageTypeMapper.selectCheckImageTypeByCheckImageTypeId(checkImageTypeId);
    }

    /**
     * 查询打卡图片类型列表
     * 
     * @param checkImageType 打卡图片类型
     * @return 打卡图片类型
     */
    @Override
    public List<CheckImageType> selectCheckImageTypeList(CheckImageType checkImageType)
    {
        return checkImageTypeMapper.selectCheckImageTypeList(checkImageType);
    }

    /**
     * 新增打卡图片类型
     * 
     * @param checkImageType 打卡图片类型
     * @return 结果
     */
    @Override
    public int insertCheckImageType(CheckImageType checkImageType)
    {
        checkImageType.setCreateTime(DateUtils.getNowDate());
        return checkImageTypeMapper.insertCheckImageType(checkImageType);
    }

    /**
     * 修改打卡图片类型
     * 
     * @param checkImageType 打卡图片类型
     * @return 结果
     */
    @Override
    public int updateCheckImageType(CheckImageType checkImageType)
    {
        checkImageType.setUpdateTime(DateUtils.getNowDate());
        return checkImageTypeMapper.updateCheckImageType(checkImageType);
    }

    /**
     * 批量删除打卡图片类型
     * 
     * @param checkImageTypeIds 需要删除的打卡图片类型主键
     * @return 结果
     */
    @Override
    public int deleteCheckImageTypeByCheckImageTypeIds(Long[] checkImageTypeIds)
    {
        return checkImageTypeMapper.deleteCheckImageTypeByCheckImageTypeIds(checkImageTypeIds);
    }

    /**
     * 删除打卡图片类型信息
     * 
     * @param checkImageTypeId 打卡图片类型主键
     * @return 结果
     */
    @Override
    public int deleteCheckImageTypeByCheckImageTypeId(Long checkImageTypeId)
    {
        return checkImageTypeMapper.deleteCheckImageTypeByCheckImageTypeId(checkImageTypeId);
    }
}
