package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.PetsBreadMapper;
import com.ruoyi.system.domain.PetsBread;
import com.ruoyi.system.service.IPetsBreadService;

/**
 * 宠物品种Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class PetsBreadServiceImpl implements IPetsBreadService 
{
    @Autowired
    private PetsBreadMapper petsBreadMapper;

    /**
     * 查询宠物品种
     * 
     * @param petBreadId 宠物品种主键
     * @return 宠物品种
     */
    @Override
    public PetsBread selectPetsBreadByPetBreadId(Long petBreadId)
    {
        return petsBreadMapper.selectPetsBreadByPetBreadId(petBreadId);
    }

    /**
     * 查询宠物品种列表
     * 
     * @param petsBread 宠物品种
     * @return 宠物品种
     */
    @Override
    public List<PetsBread> selectPetsBreadList(PetsBread petsBread)
    {
        return petsBreadMapper.selectPetsBreadList(petsBread);
    }

    /**
     * 新增宠物品种
     * 
     * @param petsBread 宠物品种
     * @return 结果
     */
    @Override
    public int insertPetsBread(PetsBread petsBread)
    {
        return petsBreadMapper.insertPetsBread(petsBread);
    }

    /**
     * 修改宠物品种
     * 
     * @param petsBread 宠物品种
     * @return 结果
     */
    @Override
    public int updatePetsBread(PetsBread petsBread)
    {
        return petsBreadMapper.updatePetsBread(petsBread);
    }

    /**
     * 批量删除宠物品种
     * 
     * @param petBreadIds 需要删除的宠物品种主键
     * @return 结果
     */
    @Override
    public int deletePetsBreadByPetBreadIds(Long[] petBreadIds)
    {
        return petsBreadMapper.deletePetsBreadByPetBreadIds(petBreadIds);
    }

    /**
     * 删除宠物品种信息
     * 
     * @param petBreadId 宠物品种主键
     * @return 结果
     */
    @Override
    public int deletePetsBreadByPetBreadId(Long petBreadId)
    {
        return petsBreadMapper.deletePetsBreadByPetBreadId(petBreadId);
    }
}
