package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.PlatformAgreementConfigMapper;
import com.ruoyi.system.domain.PlatformAgreementConfig;
import com.ruoyi.system.service.IPlatformAgreementConfigService;

/**
 * 平台协议配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class PlatformAgreementConfigServiceImpl implements IPlatformAgreementConfigService 
{
    @Autowired
    private PlatformAgreementConfigMapper platformAgreementConfigMapper;

    /**
     * 查询平台协议配置
     * 
     * @param id 平台协议配置主键
     * @return 平台协议配置
     */
    @Override
    public PlatformAgreementConfig selectPlatformAgreementConfigById(Long id)
    {
        return platformAgreementConfigMapper.selectPlatformAgreementConfigById(id);
    }

    /**
     * 查询平台协议配置列表
     * 
     * @param platformAgreementConfig 平台协议配置
     * @return 平台协议配置
     */
    @Override
    public List<PlatformAgreementConfig> selectPlatformAgreementConfigList(PlatformAgreementConfig platformAgreementConfig)
    {
        return platformAgreementConfigMapper.selectPlatformAgreementConfigList(platformAgreementConfig);
    }

    /**
     * 新增平台协议配置
     * 
     * @param platformAgreementConfig 平台协议配置
     * @return 结果
     */
    @Override
    public int insertPlatformAgreementConfig(PlatformAgreementConfig platformAgreementConfig)
    {
        return platformAgreementConfigMapper.insertPlatformAgreementConfig(platformAgreementConfig);
    }

    /**
     * 修改平台协议配置
     * 
     * @param platformAgreementConfig 平台协议配置
     * @return 结果
     */
    @Override
    public int updatePlatformAgreementConfig(PlatformAgreementConfig platformAgreementConfig)
    {
        return platformAgreementConfigMapper.updatePlatformAgreementConfig(platformAgreementConfig);
    }

    /**
     * 批量删除平台协议配置
     * 
     * @param ids 需要删除的平台协议配置主键
     * @return 结果
     */
    @Override
    public int deletePlatformAgreementConfigByIds(Long[] ids)
    {
        return platformAgreementConfigMapper.deletePlatformAgreementConfigByIds(ids);
    }

    /**
     * 删除平台协议配置信息
     * 
     * @param id 平台协议配置主键
     * @return 结果
     */
    @Override
    public int deletePlatformAgreementConfigById(Long id)
    {
        return platformAgreementConfigMapper.deletePlatformAgreementConfigById(id);
    }
}
