package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ServiceFileMapper;
import com.ruoyi.system.domain.ServiceFile;
import com.ruoyi.system.service.IServiceFileService;

/**
 * 服务档案Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class ServiceFileServiceImpl implements IServiceFileService 
{
    @Autowired
    private ServiceFileMapper serviceFileMapper;

    /**
     * 查询服务档案
     * 
     * @param serviceFileId 服务档案主键
     * @return 服务档案
     */
    @Override
    public ServiceFile selectServiceFileByServiceFileId(Long serviceFileId)
    {
        return serviceFileMapper.selectServiceFileByServiceFileId(serviceFileId);
    }

    /**
     * 查询服务档案列表
     * 
     * @param serviceFile 服务档案
     * @return 服务档案
     */
    @Override
    public List<ServiceFile> selectServiceFileList(ServiceFile serviceFile)
    {
        return serviceFileMapper.selectServiceFileList(serviceFile);
    }

    /**
     * 新增服务档案
     * 
     * @param serviceFile 服务档案
     * @return 结果
     */
    @Override
    public int insertServiceFile(ServiceFile serviceFile)
    {
        return serviceFileMapper.insertServiceFile(serviceFile);
    }

    /**
     * 修改服务档案
     * 
     * @param serviceFile 服务档案
     * @return 结果
     */
    @Override
    public int updateServiceFile(ServiceFile serviceFile)
    {
        return serviceFileMapper.updateServiceFile(serviceFile);
    }

    /**
     * 批量删除服务档案
     * 
     * @param serviceFileIds 需要删除的服务档案主键
     * @return 结果
     */
    @Override
    public int deleteServiceFileByServiceFileIds(Long[] serviceFileIds)
    {
        return serviceFileMapper.deleteServiceFileByServiceFileIds(serviceFileIds);
    }

    /**
     * 删除服务档案信息
     * 
     * @param serviceFileId 服务档案主键
     * @return 结果
     */
    @Override
    public int deleteServiceFileByServiceFileId(Long serviceFileId)
    {
        return serviceFileMapper.deleteServiceFileByServiceFileId(serviceFileId);
    }
}
