package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ServiceRecordConfigMapper;
import com.ruoyi.system.domain.ServiceRecordConfig;
import com.ruoyi.system.service.IServiceRecordConfigService;

/**
 * 服务记录配置（不存在服务记录时出现）Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class ServiceRecordConfigServiceImpl implements IServiceRecordConfigService 
{
    @Autowired
    private ServiceRecordConfigMapper serviceRecordConfigMapper;

    /**
     * 查询服务记录配置（不存在服务记录时出现）
     * 
     * @param id 服务记录配置（不存在服务记录时出现）主键
     * @return 服务记录配置（不存在服务记录时出现）
     */
    @Override
    public ServiceRecordConfig selectServiceRecordConfigById(Long id)
    {
        return serviceRecordConfigMapper.selectServiceRecordConfigById(id);
    }

    /**
     * 查询服务记录配置（不存在服务记录时出现）列表
     * 
     * @param serviceRecordConfig 服务记录配置（不存在服务记录时出现）
     * @return 服务记录配置（不存在服务记录时出现）
     */
    @Override
    public List<ServiceRecordConfig> selectServiceRecordConfigList(ServiceRecordConfig serviceRecordConfig)
    {
        return serviceRecordConfigMapper.selectServiceRecordConfigList(serviceRecordConfig);
    }

    /**
     * 新增服务记录配置（不存在服务记录时出现）
     * 
     * @param serviceRecordConfig 服务记录配置（不存在服务记录时出现）
     * @return 结果
     */
    @Override
    public int insertServiceRecordConfig(ServiceRecordConfig serviceRecordConfig)
    {
        return serviceRecordConfigMapper.insertServiceRecordConfig(serviceRecordConfig);
    }

    /**
     * 修改服务记录配置（不存在服务记录时出现）
     * 
     * @param serviceRecordConfig 服务记录配置（不存在服务记录时出现）
     * @return 结果
     */
    @Override
    public int updateServiceRecordConfig(ServiceRecordConfig serviceRecordConfig)
    {
        return serviceRecordConfigMapper.updateServiceRecordConfig(serviceRecordConfig);
    }

    /**
     * 批量删除服务记录配置（不存在服务记录时出现）
     * 
     * @param ids 需要删除的服务记录配置（不存在服务记录时出现）主键
     * @return 结果
     */
    @Override
    public int deleteServiceRecordConfigByIds(Long[] ids)
    {
        return serviceRecordConfigMapper.deleteServiceRecordConfigByIds(ids);
    }

    /**
     * 删除服务记录配置（不存在服务记录时出现）信息
     * 
     * @param id 服务记录配置（不存在服务记录时出现）主键
     * @return 结果
     */
    @Override
    public int deleteServiceRecordConfigById(Long id)
    {
        return serviceRecordConfigMapper.deleteServiceRecordConfigById(id);
    }
}
