package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ServiceUploadConfigMapper;
import com.ruoyi.system.domain.ServiceUploadConfig;
import com.ruoyi.system.service.IServiceUploadConfigService;

/**
 * 服务上传配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class ServiceUploadConfigServiceImpl implements IServiceUploadConfigService 
{
    @Autowired
    private ServiceUploadConfigMapper serviceUploadConfigMapper;

    /**
     * 查询服务上传配置
     * 
     * @param id 服务上传配置主键
     * @return 服务上传配置
     */
    @Override
    public ServiceUploadConfig selectServiceUploadConfigById(Long id)
    {
        return serviceUploadConfigMapper.selectServiceUploadConfigById(id);
    }

    /**
     * 查询服务上传配置列表
     * 
     * @param serviceUploadConfig 服务上传配置
     * @return 服务上传配置
     */
    @Override
    public List<ServiceUploadConfig> selectServiceUploadConfigList(ServiceUploadConfig serviceUploadConfig)
    {
        return serviceUploadConfigMapper.selectServiceUploadConfigList(serviceUploadConfig);
    }

    /**
     * 新增服务上传配置
     * 
     * @param serviceUploadConfig 服务上传配置
     * @return 结果
     */
    @Override
    public int insertServiceUploadConfig(ServiceUploadConfig serviceUploadConfig)
    {
        return serviceUploadConfigMapper.insertServiceUploadConfig(serviceUploadConfig);
    }

    /**
     * 修改服务上传配置
     * 
     * @param serviceUploadConfig 服务上传配置
     * @return 结果
     */
    @Override
    public int updateServiceUploadConfig(ServiceUploadConfig serviceUploadConfig)
    {
        return serviceUploadConfigMapper.updateServiceUploadConfig(serviceUploadConfig);
    }

    /**
     * 批量删除服务上传配置
     * 
     * @param ids 需要删除的服务上传配置主键
     * @return 结果
     */
    @Override
    public int deleteServiceUploadConfigByIds(Long[] ids)
    {
        return serviceUploadConfigMapper.deleteServiceUploadConfigByIds(ids);
    }

    /**
     * 删除服务上传配置信息
     * 
     * @param id 服务上传配置主键
     * @return 结果
     */
    @Override
    public int deleteServiceUploadConfigById(Long id)
    {
        return serviceUploadConfigMapper.deleteServiceUploadConfigById(id);
    }
}
