package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.UnitMapper;
import com.ruoyi.system.domain.Unit;
import com.ruoyi.system.service.IUnitService;

/**
 * 单位Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class UnitServiceImpl implements IUnitService 
{
    @Autowired
    private UnitMapper unitMapper;

    /**
     * 查询单位
     * 
     * @param unitId 单位主键
     * @return 单位
     */
    @Override
    public Unit selectUnitByUnitId(Long unitId)
    {
        return unitMapper.selectUnitByUnitId(unitId);
    }

    /**
     * 查询单位列表
     * 
     * @param unit 单位
     * @return 单位
     */
    @Override
    public List<Unit> selectUnitList(Unit unit)
    {
        return unitMapper.selectUnitList(unit);
    }

    /**
     * 新增单位
     * 
     * @param unit 单位
     * @return 结果
     */
    @Override
    public int insertUnit(Unit unit)
    {
        unit.setCreateTime(DateUtils.getNowDate());
        return unitMapper.insertUnit(unit);
    }

    /**
     * 修改单位
     * 
     * @param unit 单位
     * @return 结果
     */
    @Override
    public int updateUnit(Unit unit)
    {
        unit.setUpdateTime(DateUtils.getNowDate());
        return unitMapper.updateUnit(unit);
    }

    /**
     * 批量删除单位
     * 
     * @param unitIds 需要删除的单位主键
     * @return 结果
     */
    @Override
    public int deleteUnitByUnitIds(Long[] unitIds)
    {
        return unitMapper.deleteUnitByUnitIds(unitIds);
    }

    /**
     * 删除单位信息
     * 
     * @param unitId 单位主键
     * @return 结果
     */
    @Override
    public int deleteUnitByUnitId(Long unitId)
    {
        return unitMapper.deleteUnitByUnitId(unitId);
    }
}
