package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.UserBindingConfigMapper;
import com.ruoyi.system.domain.UserBindingConfig;
import com.ruoyi.system.service.IUserBindingConfigService;

/**
 * 用户绑定页面配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class UserBindingConfigServiceImpl implements IUserBindingConfigService 
{
    @Autowired
    private UserBindingConfigMapper userBindingConfigMapper;

    /**
     * 查询用户绑定页面配置
     * 
     * @param id 用户绑定页面配置主键
     * @return 用户绑定页面配置
     */
    @Override
    public UserBindingConfig selectUserBindingConfigById(Long id)
    {
        return userBindingConfigMapper.selectUserBindingConfigById(id);
    }

    /**
     * 查询用户绑定页面配置列表
     * 
     * @param userBindingConfig 用户绑定页面配置
     * @return 用户绑定页面配置
     */
    @Override
    public List<UserBindingConfig> selectUserBindingConfigList(UserBindingConfig userBindingConfig)
    {
        return userBindingConfigMapper.selectUserBindingConfigList(userBindingConfig);
    }

    /**
     * 新增用户绑定页面配置
     * 
     * @param userBindingConfig 用户绑定页面配置
     * @return 结果
     */
    @Override
    public int insertUserBindingConfig(UserBindingConfig userBindingConfig)
    {
        return userBindingConfigMapper.insertUserBindingConfig(userBindingConfig);
    }

    /**
     * 修改用户绑定页面配置
     * 
     * @param userBindingConfig 用户绑定页面配置
     * @return 结果
     */
    @Override
    public int updateUserBindingConfig(UserBindingConfig userBindingConfig)
    {
        return userBindingConfigMapper.updateUserBindingConfig(userBindingConfig);
    }

    /**
     * 批量删除用户绑定页面配置
     * 
     * @param ids 需要删除的用户绑定页面配置主键
     * @return 结果
     */
    @Override
    public int deleteUserBindingConfigByIds(Long[] ids)
    {
        return userBindingConfigMapper.deleteUserBindingConfigByIds(ids);
    }

    /**
     * 删除用户绑定页面配置信息
     * 
     * @param id 用户绑定页面配置主键
     * @return 结果
     */
    @Override
    public int deleteUserBindingConfigById(Long id)
    {
        return userBindingConfigMapper.deleteUserBindingConfigById(id);
    }
}
