package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.WalkDogMapper;
import com.ruoyi.system.domain.WalkDog;
import com.ruoyi.system.service.IWalkDogService;

/**
 * 遛狗要求Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-02
 */
@Service
public class WalkDogServiceImpl implements IWalkDogService 
{
    @Autowired
    private WalkDogMapper walkDogMapper;

    /**
     * 查询遛狗要求
     * 
     * @param walkDogId 遛狗要求主键
     * @return 遛狗要求
     */
    @Override
    public WalkDog selectWalkDogByWalkDogId(Long walkDogId)
    {
        return walkDogMapper.selectWalkDogByWalkDogId(walkDogId);
    }

    /**
     * 查询遛狗要求列表
     * 
     * @param walkDog 遛狗要求
     * @return 遛狗要求
     */
    @Override
    public List<WalkDog> selectWalkDogList(WalkDog walkDog)
    {
        return walkDogMapper.selectWalkDogList(walkDog);
    }

    /**
     * 新增遛狗要求
     * 
     * @param walkDog 遛狗要求
     * @return 结果
     */
    @Override
    public int insertWalkDog(WalkDog walkDog)
    {
        return walkDogMapper.insertWalkDog(walkDog);
    }

    /**
     * 修改遛狗要求
     * 
     * @param walkDog 遛狗要求
     * @return 结果
     */
    @Override
    public int updateWalkDog(WalkDog walkDog)
    {
        return walkDogMapper.updateWalkDog(walkDog);
    }

    /**
     * 批量删除遛狗要求
     * 
     * @param walkDogIds 需要删除的遛狗要求主键
     * @return 结果
     */
    @Override
    public int deleteWalkDogByWalkDogIds(Long[] walkDogIds)
    {
        return walkDogMapper.deleteWalkDogByWalkDogIds(walkDogIds);
    }

    /**
     * 删除遛狗要求信息
     * 
     * @param walkDogId 遛狗要求主键
     * @return 结果
     */
    @Override
    public int deleteWalkDogByWalkDogId(Long walkDogId)
    {
        return walkDogMapper.deleteWalkDogByWalkDogId(walkDogId);
    }
}
